﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAdminModifyPractices.aspx.cs" Inherits="AddNewUser" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <br />
        <!--Header block -->
        <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
        <div class="col-sm-6 textCenter">
            <h2 class="marginTop6px ColorBlue">Add, Edit or Delete Practices</h2>
        </div>
        <div class="col-sm-3">
            <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                <span class="glyphicon glyphicon-log-out"></span> Log out
            </button>
        </div>
        <br />
        <div style="clear: both"></div>
        <hr />
        <!--Header block -->
        <p id="textualErrorBox" style="color: red" runat="server"></p>
        <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
        <br /><br /><br />

                <%--<asp:Panel runat="server" ID="adminPanel" class="container jumbotron" style="width: 50%">
                <p>Available Roles</p>
                <p style="font-size:13px">
                    <b>1: Administrator:</b> Complete access to View/Add/Edit/Delete/Rate questions and User Management.<br />
                    <b>2: Contributor  :</b> Access to View/Add/Edit/Delete questions.<br />
                    <b>3: Expert :</b> Access to View/Rate questions.<br />
                    <b>4: Viewer :</b> Access to View questions only.
                </p>
                </asp:Panel>--%>
        <!-- Modify Practice -->

        <center>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" SelectCommand="SELECT * FROM ct_questions.[CT_Practices]" DeleteCommand="DELETE FROM ct_questions.[CT_Practices] WHERE [PracticeID] = @original_PracticeID" InsertCommand="INSERT INTO ct_questions.[CT_Practices] ([PracticeName]) VALUES (@PracticeName)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE ct_questions.[CT_Practices] SET [PracticeName] = @PracticeName WHERE [PracticeID] = @original_PracticeID">
            <DeleteParameters>
                <asp:Parameter Name="original_PracticeID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="PracticeName" Type="String" />
                </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="PracticeName" Type="String" />
                <asp:Parameter Name="original_PracticeID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridView1" runat="server" DataKeyNames="PracticeID" AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="True" Height="235px" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" Width="50%">
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="PracticeName" HeaderText="Practice Name" SortExpression="PracticeName" />
            </Columns>
            <EditRowStyle BackColor="#EFF3FB" />
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#EFF3FB" />
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#F5F7FB" />
            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
            <SortedDescendingCellStyle BackColor="#E9EBEF" />
            <SortedDescendingHeaderStyle BackColor="#4870BE" />
        </asp:GridView>


        </center>



        <br />

        <!-- Modify Practice User Ends -->
       
        <div class="container jumbotron" style="width: 50%">
            <center><h4>Add Practice</h4><div style="clear: both"></div></center>
                <hr />
            
            <form action="">
                <div class="form-group col-sm-12">
                    <div class="col-sm-10">
                    <asp:TextBox runat="server" class="form-control" ID="txtPracticeName" placeholder="Enter Practice Name" />
                    </div>
                    <asp:Button ID="btnAddNewPractice" runat="server" CssClass="btn btn-primary boxShadowBottom" OnClick="btnAddNewPractice_Click" Text="Add" />
                 </div>
            </form>
            
           
        <br />
        <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
        <br />
        <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

        </div>
        
    </body>
    </html>
</asp:Content>
