﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAdminModifySchool.aspx.cs" Inherits="CTAdminModifySchool" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <br />
        <!--Header block -->
        <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
        <div class="col-sm-6 textCenter">
            <h2 class="marginTop6px ColorBlue">Add, Edit or Delete School</h2>
        </div>
        <div class="col-sm-3">
            <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                <span class="glyphicon glyphicon-log-out"></span> Log out
            </button>
        </div>
        <br />
        <div style="clear: both"></div>
        <hr />
        <!--Header block -->
        <p id="textualErrorBox" style="color: red" runat="server"></p>
        <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
        <br /><br /><br />

        <!-- Modify School -->

        <center>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" SelectCommand="SELECT * FROM ct_questions.[CT_School]" DeleteCommand="DELETE FROM ct_questions.[CT_School] WHERE [ID] = @original_ID" InsertCommand="INSERT INTO ct_questions.[CT_School] ([SchoolName]) VALUES (@SchoolName)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE ct_questions.[CT_School] SET [SchoolName] = @SchoolName WHERE [ID] = @original_ID">
            <DeleteParameters>
                <asp:Parameter Name="original_ID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="SchoolName" Type="String" />
                </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="SchoolName" Type="String" />
                <asp:Parameter Name="original_ID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridView1" runat="server" DataKeyNames="ID" AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="True" Height="235px" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" Width="50%">
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="SchoolName" HeaderText="School Name" SortExpression="SchoolName" />
            </Columns>
            <EditRowStyle BackColor="#2461BF" />
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#EFF3FB" />
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#F5F7FB" />
            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
            <SortedDescendingCellStyle BackColor="#E9EBEF" />
            <SortedDescendingHeaderStyle BackColor="#4870BE" />
        </asp:GridView>


        </center>



        <br />

        <!-- Modify School User Ends -->
       
        <div class="container jumbotron" style="width: 50%">
            <center><h4>Add School</h4><div style="clear: both"></div></center>
                <hr />
            
            <form action="">
                <div class="form-group col-sm-12">
                    <div class="col-sm-10">
                    <asp:TextBox runat="server" class="form-control" ID="txtSchoolName" placeholder="Enter School Name" />
                    </div>
                    <asp:Button ID="btnAddNewSchool" runat="server" CssClass="btn btn-primary boxShadowBottom" OnClick="btnAddNewSchool_Click" Text="Add" />
                 </div>
            </form>
            
           
        <br />
        <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
        <br />
        <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

        </div>
        
    </body>
    </html>
</asp:Content>
