﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTMultipleChoice.aspx.cs" Inherits="CTQuestionsCB" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
        <script src="js/accordion.js" type="text/javascript"></script>
        <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
        <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css">
    </head>
    <body>
        <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
        <script>
            $(document).ready(function () {

                $(".toggle-accordion").on("click", function () {
                    var accordionId = $(this).attr("collapseAcc"),
                        numPanelOpen = $(accordionId + ' .collapse.in').length;
                    $('#collapseAcc .panel-collapse').collapse('toggle');
                    $(this).toggleClass("active");
                })

            });
        </script>
        <form id="form1">
            <div>
                <!--Header block -->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter ColorBlue">
                    <h2 class="marginTop6px">Mutiple Choice Questions</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <div style="clear: both"></div>
                <hr />
                <!--Header block -->

                <div class="accordion-option">
                    <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                </div>
                <br /><br /><br /><br />
                <p class="inline">Search </p> <br><br>
                <input type="text" placeholder=" Question Title"  class="form-control" name="search" id="search" data-type="accordion-search">
                <div id="btn-div">
                    <span data-type="accordion-ordering" ordering="asc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet"></span> SORT A-Z</span>
                    <span data-type="accordion-ordering" ordering="desc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet-alt"></span> SORT Z-A</span>
                </div>
                <br>
                <h4>
                    <asp:Label ID="rowCountQuestions" runat="server" Text=""></asp:Label> 
                </h4>
                <section id="accordion">
                        <asp:Repeater ID="rptAccordian" runat="server" OnItemDataBound="ItemBound">
                            <ItemTemplate>
                                <div data-type="accordion-section" id="accordion-section" data-filter="type1">
                                    <h5 data-type="accordion-section-title">
                                        <%# Container.ItemIndex+1 %>) <%# Eval("QText") %>
                                    </h5>
                                    <div class="accordion-content" data-type="accordion-section-body">
                                            <img src='<%# Eval("QFilename") %>' style="max-width:1200px" >
                                            <br /><br />
                                            <div class="floatRight">
                                            <asp:Button ID="rateQuestion" runat="server" Text="Rate" CssClass="btn btn-warning btn-sm " CommandArgument='<%# Eval("QuestionID") %>' OnCommand="rateQues_Click"></asp:Button>
                                            <asp:Button ID="deleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to delete the question?');" runat="server" Text="Delete" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>'  OnCommand="deleteQues_Click"></asp:Button>
                                            <asp:Button ID="markDeleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to mark the question for deletion?');" runat="server" Text="Mark for Deletion" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>'  OnCommand="markDeleteQuesMC_Click"></asp:Button>
                                   
                                             </div>
                                            <br /><br />
                                            <b class="ColorBlue">Choices: </b><br /><%# Eval("Choice1") %> <br /> <%# Eval("Choice2") %> <br /> <%# Eval("Choice3") %> <br /> <%# Eval("Choice4") %> <br /> <%# Eval("Choice5") %> <%# Eval("Choice6") %> <%# Eval("Choice7") %> <%# Eval("Choice8") %> <%# Eval("Choice9") %> <%# Eval("Choice10") %>
                                            <br />
                                            <b class="ColorBlue">Answer: </b><%# Eval("QAnswer") %>
                                            <br />
                                            <b class="ColorBlue">Notes: </b><%# Eval("Notes") %>
                                            <br />
                                            <b class="ColorBlue">Grade Level: </b>Grade <%# Eval("GradeLevel") %>
                                            <br />
                                            <b class="ColorBlue">Contributor Name: </b><asp:Label ID="contrName" runat="server"></asp:Label>
                                            <br />
                                            <b class="ColorBlue">Source: </b><%# Eval("Source") %>
                                        <br />
                                        <br />
                                        <asp:HiddenField ID="hfQuestionID" runat="server" Value='<%# Eval("QuestionID") %>' />
                                        <asp:HiddenField ID="hfContributorID" runat="server" Value='<%# Eval("ContributorID") %>' />
                                                <!-- For Concepts -->
                                                <div class="form-group" ID="mcConceptsDiv" runat="Server">
                                                    <div class="panel-group">
                                                        <div class="panel panel-default">
                                                            <div class="panel-heading">
                                                                <h6>
                                                                    <a data-toggle="collapse" href="#collapseConceptsInView<%# Container.ItemIndex %>"><b>Concepts Ratings</b></a>
                                                                </h6>
                                                            </div>
        
                                                            <div id="collapseConceptsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                <div class="panel-body">
                                                                    <asp:Repeater ID="rptAccordianConcept" runat="server">
                                                                        <ItemTemplate>
                                                                            <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %>: <%# Eval("AvgConceptAlignmentRating") %> </button>
                                                                        </ItemTemplate>
                                                                    </asp:Repeater>
                                                                </div>
        
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- For Habits -->
                                                <div class="form-group" ID="mcHabitsDiv" runat="Server">
                                                    <div class="panel-group">
                                                        <div class="panel panel-default">
                                                            <div class="panel-heading">
                                                                <h6>
                                                                    <a data-toggle="collapse" href="#collapseHabitsInView<%# Container.ItemIndex %>"><b>Habits Ratings</b></a>
                                                                </h6>
                                                            </div>
        
                                                            <div id="collapseHabitsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                <div class="panel-body">
                                                                    <asp:Repeater ID="rptAccordianHabit" runat="server">
                                                                        <ItemTemplate>
        
                                                                            <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("HabitName") %>: <%# Eval("AvgHabitAlignmentRating") %> </button>
                                                                        </ItemTemplate>
                                                                    </asp:Repeater>
        
                                                                </div>
        
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- For Practices -->
                                                <div class="form-group" ID="mcPracticesDiv" runat="Server">
                                                    <div class="panel-group">
                                                        <div class="panel panel-default">
                                                            <div class="panel-heading">
                                                                <h6>
                                                                    <a data-toggle="collapse" href="#collapsePracticesInView<%# Container.ItemIndex %>"><b>Practices Ratings</b></a>
                                                                </h6>
                                                            </div>
        
                                                            <div id="collapsePracticesInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                <div class="panel-body">
                                                                    <asp:Repeater ID="rptAccordianPractice" runat="server">
                                                                        <ItemTemplate>
        
                                                                            <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("PracticeName") %>: <%# Eval("AvgPracticeAlignmentRating") %> </button>
                                                                        </ItemTemplate>
                                                                    </asp:Repeater>
        
                                                                </div>
        
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
</div>
</div>
</ItemTemplate>
</asp:Repeater>
</section>

<script>
$(document).ready(function () {
$("#accordion").accordion();
});
</script>
<br /><br /><br /><br />

                <asp:Panel runat="server" ID="addQuestionDiv" class="container jumbotron" style="width: 95%" Visible=False>
                    <div class="" style="border-bottom: 1px solid #ddd;">
                        <center>
                            <h4>Add a Question </h4>
                            <p style="font-size:16px">
                                Enter details about the questions and then rate them on their alignment with concepts, habits and practices. 
                            </p>
                        </center>
                    </div>


                    <br />

                    <form action="">
                        <div class="form-group">
                            <p>Question</p>
                            <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQuestion" placeholder="Enter Question" />
                        </div>
                        <div class="form-group">
                                <p>Number of Choices</p>
                                <asp:DropDownList ID="multipleChoiceNbr" class="form-control" runat="server" OnSelectedIndexChanged="multipleChoiceNbr_SelectedIndexChanged" AutoPostBack="true">
                                        <asp:ListItem Value="0">Please Select</asp:ListItem>
                                        <asp:ListItem>2</asp:ListItem>
                                        <asp:ListItem>3</asp:ListItem>
                                        <asp:ListItem>4</asp:ListItem>
                                        <asp:ListItem>5</asp:ListItem>
                                        <asp:ListItem>6</asp:ListItem>
                                        <asp:ListItem>7</asp:ListItem>
                                        <asp:ListItem>8</asp:ListItem>
                                        <asp:ListItem>9</asp:ListItem>
                                        <asp:ListItem>10</asp:ListItem>
                                    </asp:DropDownList>
                            </div>
                            <asp:Repeater ID="mcqRepeat" runat="server">
                                <ItemTemplate>
                                    <p>Choice <%#Container.ItemIndex+1 %> </p>
                                    <asp:TextBox ID="multipleChoice" class="form-control" runat="server" placeholder="Enter Choice" />
                                </ItemTemplate>
                                <SeparatorTemplate>
                                        <br />
                                    </SeparatorTemplate>
                            </asp:Repeater>
                            
                            <br />
                        
                            <div class="form-group">
                                    <p style="display: inline-block; width: 30; padding: 1%; vertical-align:top;" >Difficulty Level</p>
                                    <p style="display: inline-block; width: 65%; padding: 1%; font-size:15px">Rate the question on the basis of its difficulty on a scale of 1 to 5 with 1 being the easiest and 5 being the most difficult.</p>
                                    <br /><asp:DropDownList ID="multipleChoiceGradeLevel" class="form-control" runat="server">
                                        <asp:ListItem Value="0">Please Select</asp:ListItem>
                                        <asp:ListItem>1</asp:ListItem>
                                        <asp:ListItem>2</asp:ListItem>
                                        <asp:ListItem>3</asp:ListItem>
                                        <asp:ListItem>4</asp:ListItem>
                                        <asp:ListItem>5</asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        <div class="form-group">
                            <p>Answer</p>
                            <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQAnswer" placeholder="Enter Answer" />
                        </div>
                        <div class="form-group">
                            <p>Notes</p>
                            <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQNotes" placeholder="Enter Notes" />
                        </div>
                        <div class="form-group">
                            <p>Source</p>
                            <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQSource" placeholder="Enter Source" />
                        </div>
                        <!-- For Concepts -->
            <div class="form-group">
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4>
                                    <a data-toggle="collapse" href="#collapseConcepts">Concepts</a>
                                    </h4>
                            </div>
    
                            <div id="collapseConcepts" class="panel-collapse collapse">
                                <div class="panel-body">
                                        <p style="font-size: 15px">Rate the concepts on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
        
                                    <asp:Repeater ID="lvConcepts" runat="server">
                                        <ItemTemplate>
                                            <%# Eval("ConceptName") %>
                                            <br />
                                            <br />
                                            <asp:DropDownList class="form-control" runat="server" ID="lvConceptDropdown">
                                                <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                                <asp:ListItem>1</asp:ListItem>
                                                <asp:ListItem>2</asp:ListItem>
                                                <asp:ListItem>3</asp:ListItem>
                                                <asp:ListItem>4</asp:ListItem>
                                                <asp:ListItem>5</asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:HiddenField ID="lvConceptId" runat="server" Value='<%# Eval("ConceptId") %>' />
                                            <br />
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
    
                            </div>
                        </div>
                    </div>
    
    
                </div>
                <!-- For Habits -->
                <div class="form-group">
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4>
                                    <a data-toggle="collapse" href="#collapseHabits">Habits</a>
                                     </h4>
                            </div>
                            <div id="collapseHabits" class="panel-collapse collapse">
                               <div class="panel-body">
                                    <p style="font-size: 15px">Rate the habits on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
        
                                    <asp:Repeater ID="lvHabits" runat="server">
                                        <ItemTemplate>
                                            <%# Eval("HabitName") %>
                                            <br />
                                            <br />
    
    
                                            <asp:DropDownList class="form-control" runat="server" ID="lvHabitsDropdown">
                                                <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                                <asp:ListItem>1</asp:ListItem>
                                                <asp:ListItem>2</asp:ListItem>
                                                <asp:ListItem>3</asp:ListItem>
                                                <asp:ListItem>4</asp:ListItem>
                                                <asp:ListItem>5</asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:HiddenField ID="lvHabitId" runat="server" Value='<%# Eval("HabitId") %>' />
                                            <br />
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
    
                            </div>
                        </div>
                    </div>
    
                </div>
    
                <!-- For Practices -->
                <div class="form-group">
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4>
                                    <a data-toggle="collapse" href="#collapsePractices">Practices</a>
                                     </h4>
                            </div>
                            <div id="collapsePractices" class="panel-collapse collapse">
                               <div class="panel-body">
                                    <p style="font-size: 15px">Rate the practices on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
        
                                    <asp:Repeater ID="lvPractices" runat="server">
                                        <ItemTemplate>
                                            <%# Eval("PracticeName") %>
                                            <br />
                                            <br />
                                            <asp:DropDownList class="form-control" runat="server" ID="lvPracticesDropdown">
                                                <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                                <asp:ListItem>1</asp:ListItem>
                                                <asp:ListItem>2</asp:ListItem>
                                                <asp:ListItem>3</asp:ListItem>
                                                <asp:ListItem>4</asp:ListItem>
                                                <asp:ListItem>5</asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:HiddenField ID="lvPracticeId" runat="server" Value='<%# Eval("PracticeId") %>' />
                                            <br />
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            <input type="checkbox" onchange="document.getElementById('<%= multipleChoiceSubmitButt.ClientID %>').disabled = !this.checked;" /> Please click the check-box to signify that the content you upload is not copyrighted and can be freely distribued on our CT Assessment System.
            <br />
            <button disabled="disabled" ID="multipleChoiceSubmitButt" type="submit" class="btn btn-primary floatRight boxShadowBottom" runat="server" onserverclick="textualInsertButton_Click">Add</button>  
          </form>


                   
                </asp:Panel>

                <asp:Panel runat="server" ID="addQuestionPanel" class="container jumbotron" style="width: 95%">

                <br /><br />
                <center>
                    <h4><asp:Label runat="server" Text="OR"></asp:Label>
                    </h4>
                    <br />
                    <p>
                    <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToAddNewQuestion">
                            <i class="fa  fa-plus fa-3x margin20px"></i>
                            <br />Add a Question<br />
                        </button>
                        </p>
                    <br />
                    <br />
                </center>
            </asp:Panel>
                    <br />
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

                <br />

                <br />


            </div>
        </form>
    </body>
    </html>
</asp:Content>
