﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTStudentLanding.aspx.cs" Inherits="CTQuestionsCB" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Computational Thinking Questions</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <div runat="server" id="containerStudentPanel">
                    <p id="textualErrorBox" style="color: red" runat="server"></p>
                    <br /><br />   
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <center>
                        <div class="row" runat="server" id="SMFDiv">
                            <div class="col-lg-12">
                                    <p>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToTakeQuiz">
                                            <i class="fa fa-question-circle fa-3x margin20px"></i>
                                            <br />Take a Random Quiz<br />
                                        </button>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToTakeAssignedQuiz">
                                            <i class="fa  fa-server fa-3x margin20px"></i>
                                            <br />Take an Assigned Quiz<br />
                                        </button>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToViewQuizHistory">
                                                <i class="fa  fa-line-chart fa-3x margin20px"></i>
                                                <br />View Performance<br />
                                        </button>   
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToStudentProfile">
                                            <i class="fa  fa-user fa-3x margin20px"></i>
                                            <br />Student Profile<br />
                                        </button>   
                                    </p>
                            </div>
                        </div>
                    </center>
                </div>
            </div>
        </form>
    </body>
    </html>
</asp:Content>
