﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;
using System.Net;
using System.Web.Script.Serialization;
using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public partial class CTQuestionsCB : System.Web.UI.Page
{
    String conStr = ConfigurationManager.ConnectionStrings["techfitConnectionStringNonODB"].ConnectionString.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=3){
                Response.Redirect("Default.aspx");
            }

            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();
            if (!this.IsPostBack)
            {
                
            }
            // Show hide elements on page load
            //SMFDiv.Visible=false;
        }
        catch (Exception exception)
        {
            Response.Redirect("Default.aspx");
        }
    }

    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Session["quizID"] = null;
            Response.Redirect("Default.aspx");
    }

    protected void goToTakeQuiz(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentQuiz.aspx");
    }

    protected void goToTakeAssignedQuiz(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentViewAssignedQuizzes.aspx");
    }

    protected void goToViewQuizHistory(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentQuizHistory.aspx");
    }
    
    protected void goToStudentProfile(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentProfile.aspx");
    }

}