﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTStudentProfile.aspx.cs" Inherits="CTStudentProfile" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <style>
            th {
                text-align: center;
            }
        </style>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <br />
        <!--Header block -->
        <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
        <div class="col-sm-6 textCenter">
            <h2 class="marginTop6px ColorBlue">Student Profile</h2>
        </div>
        <div class="col-sm-3">
            <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                <span class="glyphicon glyphicon-log-out"></span> Log out
            </button>
        </div>
        <br />
        <div style="clear: both"></div>
        <hr />
        <!--Header block -->
        <p id="textualErrorBox" style="color: red" runat="server"></p>
        <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
        <br /><br /><br />
        <h2 class="ColorBlue">View and edit your profile</h2>
        <br /><br /><br />

            
        <!-- Edit User -->

        <center>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>"  OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE ct_questions.[CT_Contributors] SET [ContributorName] = @ContributorName, [Password] = @passHash, [FirstName] = @firstName, [LastName] = @LastName, [ContactNumber] = @ContactNumber, [Email] = @Email WHERE [ContributorID] = @original_ContributorID">
            <UpdateParameters>
                    <asp:Parameter Name="ContributorName" Type="String" />
                <asp:Parameter Name="passHash" Type="String" />
                <asp:Parameter Name="original_ContributorID" Type="Int32" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="ContactNumber" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridView1" runat="server" DataKeyNames="ContributorID" AllowSorting="False" AutoGenerateColumns="False" CellPadding="4" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="True" Height="235px" OnRowUpdating="GridView1_RowUpdating" OnRowUpdated="GridView1_RowUpdated" Width="100%">
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:CommandField ShowEditButton="True" />
                <asp:BoundField DataField="FirstName" HeaderText="First Name" SortExpression="FirstName" />
                <asp:BoundField DataField="LastName" HeaderText="Last Name" SortExpression="LastName" />
                <asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username" ReadOnly="True"/>
                <asp:BoundField DataField="Password" HeaderText="Password" SortExpression="Password" ItemStyle-CssClass="maxWidthGrid"/>
                <asp:BoundField DataField="GradeLevel" HeaderText="Grade Level" SortExpression="GradeLevel" ReadOnly="True"/>
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                <asp:BoundField DataField="ContactNumber" HeaderText="Contact Number" SortExpression="ContactNumber" />
            </Columns>
            <EditRowStyle BackColor="#EFF3FB" />
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#EFF3FB" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" HorizontalAlign="Center"  />
            <SortedAscendingCellStyle BackColor="#F5F7FB" />
            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
            <SortedDescendingCellStyle BackColor="#E9EBEF" />
            <SortedDescendingHeaderStyle BackColor="#4870BE" />
        </asp:GridView>


        </center>



        <br />

        <!-- Edit User Ends -->
       
        <style>
            #GridView1
            {
            
            padding: 5px;
            margin-left: 10px;
            
            }
            
            .maxWidthGrid
                {
                    max-width: 200px;
                    overflow: hidden;
                }
            </style>
    </body>
    </html>
</asp:Content>
