﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;

using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;

using System.Net;
using System.Web.Script.Serialization;


using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Configuration;
using System.Web.Helpers;


public partial class CTStudentProfile : System.Web.UI.Page
{
    String conOLDBStr = ConfigurationManager.ConnectionStrings["techfitConnectionString"].ConnectionString.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=3){
                Response.Redirect("Default.aspx");
            }
            Page.MaintainScrollPositionOnPostBack = true;
            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();
            SqlDataSource1.SelectCommand="SELECT * FROM ct_questions.[CT_Contributors] WHERE [ContributorID] = '"+Session["ContributorID"]+"'";
        }
        catch (Exception exception)
        {
            Response.Redirect("Default.aspx");
        }


    }

    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Session["quizID"] = null;
            Response.Redirect("Default.aspx");
    }
    
    protected void goBack(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentLanding.aspx");
    }

    private void ClearAll()
        {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Session["quizID"] = null;
        }

    // Helper method to filter the user's input
    private string toSQL(string stringValue)
    {
        string temp = stringValue.Replace("'", "''");
        temp = temp.Replace("<", "");
        temp = temp.Replace(">", "");
        temp = temp.Replace(";", " ");
        temp = temp.Replace(" OR ", " ");

        return "'" + temp + "'";
    }
    

    protected void GridView1_RowUpdated(object sender, GridViewUpdatedEventArgs e)
    {
         if (e.Exception == null){
             if (e.AffectedRows == 1){
                SqlDataSource1.SelectCommand="SELECT * FROM ct_questions.[CT_Contributors] WHERE [ContributorID] = '"+Session["ContributorID"]+"'";
                StringBuilder sb = new StringBuilder();
                String message="Changes saved!";
                sb.Append("<script type='text/javascript'>");
                sb.Append("alert('" + message + "');");
                sb.Append("</script>");
                ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
                //lblResult.Text = "User Updated. Thank you!";
             } else {
                //lblErr.Text = "Error! Unable to update user..." + e.Exception.Message;
             }
         } else {
             //lblErr.Text = "Error! Unable to update user..." + e.Exception.Message;
         }
    }

    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
        {    
            //SqlDataSource1.UpdateCommand="UPDATE ct_questions.[CT_Contributors] SET [ContributorName] = @ContributorName, [Username] = @Username, [Password] = @passEnc, [Role] = @Role, [FirstName] = @firstName, [LastName] = @LastName, [ContactNumber] = @ContactNumber, [Email] = @email , [GradeLevel] = @GradeLevel WHERE [ContributorID] = @original_ContributorID";
            SqlDataSource1.UpdateParameters["passHash"].DefaultValue = Crypto.HashPassword(e.NewValues["Password"].ToString());
            SqlDataSource1.UpdateParameters["ContributorName"].DefaultValue = e.NewValues["FirstName"].ToString() + " " + e.NewValues["LastName"].ToString();     
        
        }



    protected void SqlDataSource1_Selecting(object sender, SqlDataSourceSelectingEventArgs e)
    {

    }

    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
}