﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTStudentQuizHistory.aspx.cs" Inherits="CTStudentQuizHistory" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<%@ Register Assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI.DataVisualization.Charting" TagPrefix="asp" %>


<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <style>
            td
            {
            
            padding:10px;
            height:5px;
            
            }
            th
            {
            
            padding:10px;
            height:5px;
            
            }
            .hiddencol
            {
                display: none;
            }
        </style>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Quiz History</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <p id="textualErrorBox" style="color: red" runat="server"></p>
                <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                <br />  
                <div runat="server" id="containerStudentPanel">
                    
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    
                    <div style="text-align: center">

                            
                    </div>
                    <h3 class="ColorBlue">Score History</h3> <br>
                    <div style="text-align: center">

                        <asp:Chart ID="Chart1" runat="server" BackColor="#fafafa" Width="800px">
                        <Series>
                            <asp:Series Name="Series1" ChartType="Line">
                            </asp:Series>
                        </Series>
                        <ChartAreas>
                            <asp:ChartArea Name="ChartArea1" BackColor="#fafafa">
                            </asp:ChartArea>
                        </ChartAreas>  
                
                        </asp:Chart>
                    </div>

                    <hr>
                    <h3 class="ColorBlue">Last Test</h3> <br>
                    <div style="text-align: center">
                    <b>You scored: </b> <h2 class="ColorBlue"><asp:Label ID="lblScoreTest" runat="server" Font-Bold="True"></asp:Label> %</h2><br />
                        <asp:Panel runat="server" ID="correctConcepts" Visible=False>
                            <h4 class="ColorBlue">The student correctly answered questions in the following Computation Thinking Concepts </h4>
                            <br />
                            <asp:Repeater ID="rptAccordianStrongConcepts" runat="server">
                                                        <ItemTemplate>
                                                            <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                        </ItemTemplate>
                            </asp:Repeater>
                        </asp:Panel>
                        
                    <br><br>
                    <asp:Panel runat="server" ID="incorrectConcepts">
                            <h4 class="ColorBlue">The student incorrectly answered questions in the following Computation Thinking Concepts </h4>
                            <br />
                            <asp:Repeater ID="rptAccordianWeakConcepts" runat="server">
                                                                <ItemTemplate>
                                                                    <button type="button" style="background: maroon" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                                </ItemTemplate>
                            </asp:Repeater>
                     </asp:Panel>
                    </div>
                    
                    <hr>
                    <br><br>
                    <h3 class="ColorBlue">Most Recent Test Scores</h3> <br>
                    <center>
                        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" OldValuesParameterFormatString="original_{0}">
                        </asp:SqlDataSource>

                        <asp:GridView ID="GridView1" runat="server" OnRowDataBound="GridView1_RowDataBound" DataKeyNames="StudentID" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="False" Max-Height="635px" Width="100%">
                            <AlternatingRowStyle BackColor="White" />
                            <Columns>
                                <asp:BoundField DataField="QuizName" HeaderText="Test Name" SortExpression="QuizName"/>
                                <asp:BoundField DataField="QuizID" HeaderText="Test ID" SortExpression="QuizID" ItemStyle-CssClass="hiddencol" HeaderStyle-CssClass="hiddencol" />
                                <asp:BoundField DataField="TestDate" HeaderText="Test Date" SortExpression="TestDate" />
                                <asp:BoundField DataField="TestScore" HeaderText="Test Score" SortExpression="TestScore" />
                            </Columns>
                            <EditRowStyle BackColor="#2461BF" />
                            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
                            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EFF3FB" CssClass="hsty"/>
                            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                            <SortedAscendingCellStyle BackColor="#F5F7FB" />
                            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                            <SortedDescendingCellStyle BackColor="#E9EBEF" />
                            <SortedDescendingHeaderStyle BackColor="#4870BE" />
                        </asp:GridView>
                    </center>
                    <br><br><br><br><br><br>
                </div>
            </div>
        </form>
    </body>

    </html>
</asp:Content>
