﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTStudentQuizReport.aspx.cs" Inherits="CTStudentQuizReport" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1">
    <title></title>
    <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script src="js/accordion.js" type="text/javascript"></script>
    <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
    <script>
        $(document).ready(function () {

            $(".toggle-accordion").on("click", function () {
                var accordionId = $(this).attr("collapseAcc"),
                    numPanelOpen = $(accordionId + ' .collapse.in').length;
                $('#collapseAcc .panel-collapse').collapse('toggle');
                $(this).toggleClass("active");
            })

        });
    </script>
    <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css">
</head>
<body oncontextmenu="return false" style=" background: white;">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <form id="form1">
            <br />
            <!--Header block starts-->
            <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
            <div class="col-sm-6 textCenter">
                <h2 class="marginTop6px ColorBlue">Quiz Report</h2>
            </div>
            <div class="col-sm-3">
                <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                    <span class="glyphicon glyphicon-log-out"></span> Log out
                </button>
            </div>
            <br />
            <div style="clear: both"></div>
            <hr />
            <!--Header block ends-->
            <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                    <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
            <br> <br>
     
            <div style="text-align: center">
                   <h4 class="ColorBlue">Your test has been submitted!</h4>
                    <b>You scored: </b> <h2 class="ColorBlue"><asp:Label ID="lblScoreTest" runat="server" Font-Bold="True"></asp:Label> %</h2><br />
                    <asp:Panel runat="server" ID="correctConcepts" Visible=False>
                        <h4 class="ColorBlue">The student correctly answered questions in the following Computation Thinking Concepts </h4>
                        <br />
                        <asp:Repeater ID="rptAccordianStrongConcepts" runat="server">
                                                    <ItemTemplate>
                                                        <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                    </ItemTemplate>
                        </asp:Repeater>
                    </asp:Panel>
                    
                <br><br>
                <asp:Panel runat="server" ID="incorrectConcepts">
                        <h4 class="ColorBlue">The student incorrectly answered questions in the following Computation Thinking Concepts </h4>
                        <br />
                        <asp:Repeater ID="rptAccordianWeakConcepts" runat="server">
                                                            <ItemTemplate>
                                                                <button type="button" style="background: maroon" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                            </ItemTemplate>
                        </asp:Repeater>
                 </asp:Panel>
                </div>
                <br><br>
                <hr>
                <asp:Label ID="lblCorrect" runat="server" CssClass="ColorBlue" Font-Size="large">Here are the questions you answered correctly</asp:Label>
                <br><br>
                <section id="accordionCorrectQuestions">
                        <asp:Repeater ID="rptAccordianCorrectQuestions" runat="server">
                            <ItemTemplate>
                                <div data-type="accordion-section" id="accordion-section" data-filter="type1">
                                    <br><br> 
                                    <h4 data-type="accordion-section-title">
                                            <i class="fa fa-check-circle" style="font-size:24px;color:green"></i>    <asp:Label ID="questionTitle" runat="server" Text=""><%# Container.ItemIndex+1 %>) <%# Eval("QText") %> </asp:Label> 
                                    </h4>
                                    <div class="accordion-content tableclass"  data-type="accordion-section-body">
                                            <br />
                                            <img src='<%# Eval("QFilename") %>' max-width="60%" ><br /><br />
                                            
                                            <b class="ColorBlue">Notes: </b><%# Eval("Notes") %><br />
                                            <b class="ColorBlue">Answer: </b><p style="color:green"><%# Eval("QAnswer") %></p><br />
                                            
                                    </div>
                                    </div>
                            </ItemTemplate>
                        </asp:Repeater>
                            <br<br><hr>
                </section>
                <asp:Label ID="lblIncorrect" runat="server" CssClass="ColorBlue" Font-Size="large">Here are the questions you answered incorrectly</asp:Label>
                <br><br>
                <section id="accordionIncorrectQuestions">
                        <asp:Repeater ID="rptAccordianIncorrectQuestions" runat="server">
                            <ItemTemplate>
                                <div data-type="accordion-section" id="accordion-section" data-filter="type1">
                                    <br><br> 
                                    <h4 data-type="accordion-section-title">
                                            <i class="fa fa-times-circle" style="font-size:24px;color:red"></i>    <asp:Label ID="questionTitle" runat="server" Text=""><%# Container.ItemIndex+1 %>) <%# Eval("QText") %> </asp:Label> 
                                    </h4>
                                    <div class="accordion-content tableclass"  data-type="accordion-section-body">
                                            <br />
                                            <img src='<%# Eval("QFilename") %>' max-width="60%" ><br /><br />
                                            
                                            <b class="ColorBlue">Notes: </b><%# Eval("Notes") %><br />
                                            <!--<b class="ColorBlue">Answer: </b><p style="color:green"><%# Eval("QAnswer") %></p><br />-->
                                            
                                    </div>
                                    </div>
                            </ItemTemplate>
                        </asp:Repeater>
                            <br<br><hr>
                </section>
<asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
<br />
<asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

        <asp:ScriptManager ID="ScriptManger" runat="server" EnablePageMethods="true"></asp:ScriptManager>
            <br><br><br><br><br><br><br><br>
        
            <style>
                .border {
                    border-color: red;
                    border-width: 1px;
                    border-style: solid;
                    width: 100%;
                }

                table {
                    margin: 10px;
                }

                .correctAnswer {
                    display: none;
                    width: 950px!important;
                }

                .tblOptions {
                    width: 100%;
                }

                .btndisabled {
                    background: #bdb3bd;
                    background-image: -webkit-linear-gradient(top, #bdb3bd, #757575);
                    background-image: -moz-linear-gradient(top, #bdb3bd, #757575);
                    background-image: -o-linear-gradient(top, #bdb3bd, #757575);
                    background-image: linear-gradient(to bottom, #bdb3bd, #757575);
                    -webkit-border-radius: 0;
                    -moz-border-radius: 0;
                    border-radius: 6px;
                    font-family: Arial;
                    color: #ffffff;
                    font-size: 19px;
                    padding: 3px 20px;
                    text-decoration: none;
                    cursor: none;
                }

                input[type="radio"] 
                {
                margin-right: 10px;
                }
            </style>
        </div>
    </form>
</body>
</html>
</asp:Content>