﻿<%@ Page Language="C#" MaintainScrollPositionOnPostback="true" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTTeacherBuildQuiz.aspx.cs" Inherits="CTTeacherBuildQuiz" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Build a Quiz</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                <br />
                <div runat="server" id="containerAdminPanel" class="textCenter">
                    <p id="textualErrorBox" style="color: red" runat="server"></p>
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <h4><asp:Label ID="instructions" runat="server" Text="Click on a Concept or Practice to add it to the list"></asp:Label>
                    </h4> <br /> <br />
                        <div class="container col-sm-12">
                                
                                    <!-- For Concepts -->
                        <div class="container" runat="server" id="CHPDiv">            
                            <div class="form-group col-sm-6">
                                    <div class="panel-group">
                                        <div class="panel panel-default" style="height: 320px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapseConcepts" class="noHover">Concepts</a>
                                                </h4>
                                            </div>
        
                                            <div id="collapseConcepts" class="panel-collapse">
                                                <div class="panel-body">
                                                    <asp:Repeater ID="lvConcepts" runat="server" OnItemDataBound="ItemBoundConcept">
                                                        <ItemTemplate>
                                                            <asp:LinkButton Text='<%# Eval("ConceptName") %>' OnCommand="selectConceptIntoLabel_Click" CommandArgument='<%# Eval("ConceptName")+","+Eval("ConceptId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvConceptId" runat="server" Value='<%# Eval("ConceptId") %>' />
                                                            <asp:Label ID="conceptCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
        
                                            </div>
                                        </div>
                                    </div>
        
        
                                </div>
                                <!-- 
                                <div class="form-group col-sm-4"> 
                                    <div class="panel-group">
                                        <div class="panel panel-default height260px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapseHabits" class="noHover">Habits</a>
                                                </h4>
                                            </div>
                                            <div id="collapseHabits" class="panel-collapse ">
                                            <div class="panel-body">
                                                    <asp:Repeater ID="lvHabits" runat="server" OnItemDataBound="ItemBoundHabit">
                                                        <ItemTemplate>
                                                            
                                                            <asp:LinkButton Text='<%# Eval("HabitName") %>' OnCommand="selectHabitIntoLabel_Click" CommandArgument='<%# Eval("HabitName")+","+Eval("HabitId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvHabitId" runat="server" Value='<%# Eval("HabitId") %>' />
                                                            <asp:Label ID="habitCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
        
                                            </div>
                                        </div>
                                    </div>
        
                                </div>
                                For Habits -->
        
                                <!-- For Practices -->
                                <div class="form-group col-sm-6">
                                    <div class="panel-group">
                                        <div class="panel panel-default" style="height: 320px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapsePractices" class="noHover">Practices</a>
                                                </h4>
                                            </div>
                                            <div id="collapsePractices" class="panel-collapse ">
                                                <div class="panel-body">
        
                                                    <asp:Repeater ID="lvPractices" runat="server" OnItemDataBound="ItemBoundPractice">
                                                        <ItemTemplate>
                                                            <asp:LinkButton Text='<%# Eval("PracticeName") %>' OnCommand="selectPracticeIntoLabel_Click" CommandArgument='<%# Eval("PracticeName")+","+Eval("PracticeId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvPracticeId" runat="server" Value='<%# Eval("PracticeId") %>' />
                                                            <asp:Label ID="practiceCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                            
                        
                        </div> 
                        <!-- For building panel -->
                        <div class="form-group col-sm-6"> 
                                <div class="panel-group">
                                    <div class="panel panel-default" style="height: 320px">
                                        <div class="panel-heading">
                                            <h4>
                                                <a data-toggle="collapse" href="#collapseHabits" class="noHover">Selected CT Concepts</a>
                                            </h4>
                                        </div>
                                        <div id="collapseHabits" class="panel-collapse ">
                                        <div class="panel-body">
                                            <br>
                                            <button ID="reloadSelectorConcepts" class="btn btn-warning btn-md " runat="server" style="float: left" onserverclick="reloadSelectorConcepts_Click">
                                                    <span class="glyphicon glyphicon-refresh"></span> Reload Selection
                                                </button>
                                                <asp:TextBox id="selectedConceptVals" class="ColorBlue" readonly=true style="width:50%; border: none" runat="server" TextMode="MultiLine" Rows="10"></asp:TextBox>
                                                
                                        </div>
                                        
    
                                        </div>
                                    </div>
                                </div>
    
                            </div>

                            <div class="form-group col-sm-6"> 
                                    <div class="panel-group">
                                        <div class="panel panel-default" style="height: 320px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapseHabits" class="noHover">Selected CT Practices</a>
                                                </h4>
                                            </div>
                                            <div id="collapseHabits" class="panel-collapse ">
                                            <div class="panel-body">
                                                <br>
                                                <button ID="reloadSelectorPractices" class="btn btn-warning btn-md " runat="server" style="float: left" onserverclick="reloadSelectorPractices_Click">
                                                        <span class="glyphicon glyphicon-refresh"></span> Reload Selection
                                                    </button>
                                                   <asp:TextBox id="selectedPracticeVals" class="ColorBlue" readonly=true style="width:50%; border: none" runat="server" TextMode="MultiLine" Rows="10"></asp:TextBox>
                                                   
                                            </div>
                                            
        
                                            </div>
                                        </div>
                                    </div>
        
                                </div>
                                <br /> <br/>    
                                <asp:HiddenField ID="selectedConcepts" runat="server" />
                                <asp:HiddenField ID="selectedPractices" runat="server" />
                                <h4>Total # of Questions Possible: <asp:Label ID="totalNumberQuestions" runat="server" Text="0"></asp:Label> </h4> <br />
                                <asp:Panel runat="server" ID="questionTypePanel" class="container jumbotron" style="width: 50%">
                                    <div class="form-group">
                                        <p>Enter the number of questions you want on the quiz *</p>
                                        <asp:TextBox runat="server" class="form-control" ID="numQuestions" placeholder="Enter number of questions" />
                                    </div>
                                    <div class="form-group">
                                        <p>Enter the duration of the quiz (in minutes)*</p>
                                        <asp:TextBox runat="server" class="form-control" ID="duration" placeholder="Enter duration of the quiz" />
                                    </div>
                                    <div id="scrollPosStudents"></div>
                                    <div class="form-group">
                                        <p>Select all or hold Control key and select students who you wish to assign the quiz to *</p>
                                        <asp:ListBox ID="studentListBox" runat="server" SelectionMode="Multiple" Rows=10 AppendDataBoundItems=false>
                                        </asp:ListBox>
                                        <button ID="selectAllSelectorStudents" class="btn btn-warning btn-md " runat="server" style="float: left" onserverclick="selectAllSelectorStudents_Click">
                                                 Select All
                                            </button>
                                        <button ID="reloadSelectorStudents" class="btn btn-warning btn-md " runat="server" style="float: right" onserverclick="reloadSelectorStudents_Click">
                                                <span class="glyphicon glyphicon-refresh"></span> Reload Selection
                                            </button> <br />
                                    </div>
                                    <div class="form-group">
                                        <p>Enter a name for the Quiz *</p>
                                        <asp:TextBox runat="server" class="form-control" ID="quizName" placeholder="Enter a name for the quiz" />
                                    </div>                   
                                                    <button ID="buildQuizButton" type="submit" class="btn btn-primary floatRight boxShadowBottom" style="float: right" runat="server" onserverclick="buildQuizButton_Click">Build</button>  
                                                    <asp:Label ID="lblErrValidation" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                                </asp:Panel>
                        
                            <div style="clear: both;margin-bottom:150px"></div>
                </div>
            </div>
        </form>
    </body>
    </html>
</asp:Content>
