﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTViewOpenEQuestions.aspx.cs" Inherits="CTViewOpenEQuestions" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
        <script src="js/accordion.js" type="text/javascript"></script>
        <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
        <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css">
    </head>
    <body>
            <script>
                    $(document).ready(function () {
                        $("#accordionSA").accordion();
                        $("#accordionFT").accordion();
                    });
                </script>
        
        <form id="form1">
            <div>
                <!--Header block -->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter ColorBlue">
                    <h2 class="marginTop6px">All Open Ended Questions</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <div style="clear: both"></div>
                <hr />
                <!--Header block -->

                <div class="accordion-option">
                    <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                    
                </div>
                <br /><br /><br /><br />
                <p class="inline">Search </p> <br><br>
                <input type="text" placeholder=" Question Title"  class="form-control" name="search" id="search" data-type="accordion-search">
                <br /> <br />
                <!--Short Answer Starts -->
                <h2>Short Answer Questions</h2>
                
                <!--<div id="btn-div">
                    <span data-type="accordion-ordering" ordering="asc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet"></span> SORT A-Z</span>
                    <span data-type="accordion-ordering" ordering="desc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet-alt"></span> SORT Z-A</span>
                </div>-->
                <br>
                
                <h4>
                        <asp:Label ID="rowCountQuestionsSA" runat="server" Text=""></asp:Label> 
						<div class="floatRight">
					<!--	<span data-type="accordion-ordering" ordering="asc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet"></span> SORT A-Z</span>
                    <span data-type="accordion-ordering" ordering="desc" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-sort-by-alphabet-alt"></span> SORT Z-A</span>
                    -->    
                </div>
                    </h4><br>

                <section id="accordionSA">
                    <asp:Repeater ID="rptAccordianSA" runat="server" OnItemDataBound="ItemBound">
                        <ItemTemplate>
                            <div data-type="accordion-section" id="accordion-sectionSA" data-filter="type1">
                            <h5 data-type="accordion-section-title">
                                <%# Container.ItemIndex+1 %>) <%# Eval("QText") %>
                            </h5>
                            <div class="accordion-content" data-type="accordion-section-body">
                                    <img src='<%# Eval("QFilename") %>' style="max-width:1200px" >
                                    <br /><br />
                                    <div class="floatRight">
                                    <asp:Button ID="rateQuestion" runat="server" Text="Rate" CssClass="btn btn-warning btn-sm " CommandArgument='<%# Eval("QuestionID") %>' OnCommand="rateQuesSA_Click"></asp:Button>
                                    <asp:Button ID="deleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to delete the question?');" runat="server" Text="Delete" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>' OnCommand="deleteQuesSA_Click"></asp:Button>
                                    <asp:Button ID="markDeleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to mark the question for deletion?');" runat="server" Text="Mark for Deletion" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>'  OnCommand="markDeleteQuesSA_Click"></asp:Button>
                                    
                                    <asp:Label ID="lblDelOrNo" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                                        </div>
                                    <br /><br />
                                    
                                                                            <b class="ColorBlue">Answer: </b><%# Eval("QAnswer") %>
                                                                            <br />
                                                                            <b class="ColorBlue">Notes: </b><%# Eval("Notes") %>
                                                                            <br />
                                                                            <b class="ColorBlue">Grade Level: </b><%# Eval("GradeLevel") %>
                                                                            <br />
                                                                            <b class="ColorBlue">Contributor Name: </b><asp:Label ID="contrName" runat="server"></asp:Label>
                                                                            <br />
                                                                            <b class="ColorBlue">Source: </b><%# Eval("Source") %>
                                                                            <br />
   
                                                                            <br />
                                                                            <asp:HiddenField ID="hfQuestionID" runat="server" Value='<%# Eval("QuestionID") %>' />
                                                                            <asp:HiddenField ID="hfContributorID" runat="server" Value='<%# Eval("ContributorID") %>' />
                                                                            
                                                                          
                                
                                
                                                                            <!-- For Concepts -->
                                                                            <div class="form-group" ID="saConceptsDiv" runat="Server">
                                                                                <div class="panel-group">
                                                                                    <div class="panel panel-default">
                                                                                        <div class="panel-heading">
                                                                                            <h6>
                                                                                                <a data-toggle="collapse" href="#collapseConceptsInView<%# Container.ItemIndex %>"><b>Concepts Ratings</b></a>
                                                                                            </h6>
                                                                                        </div>
                                    
                                                                                        <div id="collapseConceptsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                            <div class="panel-body">
                                                                                                <asp:Repeater ID="rptAccordianConcept" runat="server">
                                                                                                    <ItemTemplate>
                                                                                                        <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px;"><%# Eval("ConceptName") %>: <%# Eval("AvgConceptAlignmentRating") %> </button>
                                                                                                    </ItemTemplate>
                                                                                                </asp:Repeater>
                                                                                            </div>
                                    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <!-- For Habits -->
                                                                            <div class="form-group" ID="saHabitsDiv" runat="Server">
                                                                                <div class="panel-group">
                                                                                    <div class="panel panel-default">
                                                                                        <div class="panel-heading">
                                                                                            <h6>
                                                                                                <a data-toggle="collapse" href="#collapseHabitsInView<%# Container.ItemIndex %>"><b>Habits Ratings</b></a>
                                                                                            </h6>
                                                                                        </div>
                                    
                                                                                        <div id="collapseHabitsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                            <div class="panel-body">
                                                                                                <asp:Repeater ID="rptAccordianHabit" runat="server">
                                                                                                    <ItemTemplate>
                                    
                                                                                                        <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("HabitName") %>: <%# Eval("AvgHabitAlignmentRating") %> </button>
                                                                                                    </ItemTemplate>
                                                                                                </asp:Repeater>
                                    
                                                                                            </div>
                                    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <!-- For Practices -->
                                                                            <div class="form-group" ID="saPracticesDiv" runat="Server">
                                                                                <div class="panel-group">
                                                                                    <div class="panel panel-default">
                                                                                        <div class="panel-heading">
                                                                                            <h6>
                                                                                                <a data-toggle="collapse" href="#collapsePracticesInView<%# Container.ItemIndex %>"><b>Practices Ratings</b></a>
                                                                                            </h6>
                                                                                        </div>
                                    
                                                                                        <div id="collapsePracticesInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                            <div class="panel-body">
                                                                                                <asp:Repeater ID="rptAccordianPractice" runat="server">
                                                                                                    <ItemTemplate>
                                    
                                                                                                        <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("PracticeName") %>: <%# Eval("AvgPracticeAlignmentRating") %> </button>
                                                                                                    </ItemTemplate>
                                                                                                </asp:Repeater>
                                    
                                                                                            </div>
                                    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                            </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    </section>
                
                <!--Short Answer Ends -->



                <br /><br />
               
                <!--File Type Answer Starts 
                <h2>Image Type Questions</h2>
                <br>
                <h4>

                        <asp:Label ID="rowCountQuestionsFT" runat="server" Text=""></asp:Label> 
                </h4>
                <br />-->
                <section id="accordionFT" runat="server" Visible=false>
                            <asp:Repeater ID="rptAccordianFT" runat="server" OnItemDataBound="ItemBound">
                                <ItemTemplate>
                                    <div data-type="accordion-section" id="accordion-sectionFT" data-filter="type1">
                                    <h5 data-type="accordion-section-title">
                                        <%# Container.ItemIndex+1 %>) <%# Eval("Notes") %>
                                    </h5>
                                    <div class="accordion-content" data-type="accordion-section-body">
                                            <div class="floatRight">
                                            <asp:Button ID="rateQuestion" runat="server" Text="Rate" CssClass="btn btn-warning btn-sm " CommandArgument='<%# Eval("QuestionID") %>' OnCommand="rateQuesFT_Click"></asp:Button>
                                            <asp:Button ID="deleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to delete the question?');" runat="server" Text="Delete" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>' OnCommand="deleteQuesFT_Click"></asp:Button>
                                            <asp:Button ID="markDeleteQuestion" Visible="false" onClientClick="return confirm('Are you sure you want to mark the question for deletion?');" runat="server" Text="Mark for Deletion" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("QuestionID") %>'  ></asp:Button>
                                    
                                        </div>
                                        <br /><img src='<%# Eval("QFilename") %>' > <br />
                                        <br />
                                        <b class="ColorBlue">Answer: </b><%# Eval("QAnswer") %>
                                        <br />
                                        <b class="ColorBlue">Difficulty Level: </b><%# Eval("GradeLevel") %>
                                        <br />
                                        <b class="ColorBlue">Contributor Name: </b><asp:Label ID="contrName" runat="server"></asp:Label>
                                        <br />
                                        <b class="ColorBlue">Source: </b><%# Eval("Source") %>
                                        <br />
                                        <br />
                                        <asp:HiddenField ID="hfQuestionID" runat="server" Value='<%# Eval("QuestionID") %>' />
                                        <asp:HiddenField ID="hfContributorID" runat="server" Value='<%# Eval("ContributorID") %>' />
                                         <!-- For Concepts -->
                                                                                    <div class="form-group">
                                                                                        <div class="panel-group">
                                                                                            <div class="panel panel-default">
                                                                                                <div class="panel-heading">
                                                                                                    <h6>
                                                                                                        <a data-toggle="collapse" href="#collapseConceptsInView<%# Container.ItemIndex %>"><b>Concepts Ratings</b></a>
                                                                                                    </h6>
                                                                                                </div>
                                            
                                                                                                <div id="collapseConceptsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                                    <div class="panel-body">
                                                                                                        <asp:Repeater ID="rptAccordianConcept" runat="server">
                                                                                                            <ItemTemplate>
                                                                                                                <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %>: <%# Eval("AvgConceptAlignmentRating") %> </button>
                                                                                                            </ItemTemplate>
                                                                                                        </asp:Repeater>
                                                                                                    </div>
                                            
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <!-- For Habits -->
                                                                                    <div class="form-group">
                                                                                        <div class="panel-group">
                                                                                            <div class="panel panel-default">
                                                                                                <div class="panel-heading">
                                                                                                    <h6>
                                                                                                        <a data-toggle="collapse" href="#collapseHabitsInView<%# Container.ItemIndex %>"><b>Habits Ratings</b></a>
                                                                                                    </h6>
                                                                                                </div>
                                            
                                                                                                <div id="collapseHabitsInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                                    <div class="panel-body">
                                                                                                        <asp:Repeater ID="rptAccordianHabit" runat="server">
                                                                                                            <ItemTemplate>
                                            
                                                                                                                <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("HabitName") %>: <%# Eval("AvgHabitAlignmentRating") %> </button>
                                                                                                            </ItemTemplate>
                                                                                                        </asp:Repeater>
                                            
                                                                                                    </div>
                                            
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <!-- For Practices -->
                                                                                    <div class="form-group">
                                                                                        <div class="panel-group">
                                                                                            <div class="panel panel-default">
                                                                                                <div class="panel-heading">
                                                                                                    <h6>
                                                                                                        <a data-toggle="collapse" href="#collapsePracticesInView<%# Container.ItemIndex %>"><b>Practices Ratings</b></a>
                                                                                                    </h6>
                                                                                                </div>
                                            
                                                                                                <div id="collapsePracticesInView<%# Container.ItemIndex %>" class="panel-collapse collapse in">
                                                                                                    <div class="panel-body">
                                                                                                        <asp:Repeater ID="rptAccordianPractice" runat="server">
                                                                                                            <ItemTemplate>
                                            
                                                                                                                <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("PracticeName") %>: <%# Eval("AvgPracticeAlignmentRating") %> </button>
                                                                                                            </ItemTemplate>
                                                                                                        </asp:Repeater>
                                            
                                                                                                    </div>
                                            
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                    </div>
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            </section>

                <!--File Type Answer Ends -->
            </asp:Panel>
                <br /><br />
                <asp:Panel runat="server" ID="addQuestionPanel" class="container jumbotron" style="width: 95%">
                
                <center>
                    <h4><asp:Label runat="server" Text="OR"></asp:Label>
                    </h4>
                    <br />
                    <p>
                    <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToAddNewQuestion">
                            <i class="fa  fa-plus fa-3x margin20px"></i>
                            <br />Add a Question<br />
                        </button>
                        </p>
                    <br />
                    <br />
                </center>
                    <br />
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

                </asp:Panel>


                <br />


            </div>
        </form>
    </body>
    </html>
</asp:Content>
