﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAddNewQuestion.aspx.cs" Inherits="AddNewQuestion" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <br />
        <!--Header block -->
        <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
        <div class="col-sm-6 textCenter">
            <h2 class="marginTop6px ColorBlue">Add a Question</h2>
        </div>
        <div class="col-sm-3">
            <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                <span class="glyphicon glyphicon-log-out"></span> Log out
            </button>
        </div>
        <br />
        <div style="clear: both"></div>
        <hr />
        <!--Header block -->
        <p id="textualErrorBox" style="color: red" runat="server"></p>
        <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
        <br /><br /><br />
        
                <asp:Panel runat="server" ID="questionTypePanel" class="container jumbotron" style="width: 50%">
                <p >Question Types</p>
                <p style="font-size:16px">
                    <b>1: Short Answer: </b> Textual questions that have a short textual answer.<br />
                    <b>2: Multiple Choice  :</b> Textual questions that have a mutiple choice textual answer.
                    <br /><br />
                    Choose a question type from the panel below and enter details about the questions. Rate the questions on their alignment with concepts, habits and practices. 
                </p>
                </asp:Panel>

       
        <div class="container jumbotron" style="width: 50%">
            <center><h4>Add a Question</h4><div style="clear: both"></div></center>
                <hr />
            
        <form action="">

            <div class="form-group">
                <p>Question Type </p>
                <asp:DropDownList ID="questionType" class="form-control" runat="server" OnSelectedIndexChanged="questionType_SelectedIndexChanged" AutoPostBack="true">
                <asp:ListItem Value="0">Please Select</asp:ListItem>
                <asp:ListItem>Short Answer</asp:ListItem>
                <asp:ListItem>Multiple Choice</asp:ListItem>
            </asp:DropDownList>
            </div>
            
        <!-- Begin Short Answer Div -->   
            
            <asp:Panel ID="singleAnswerDiv" runat="server" visible="false">
                <div class="form-group">
                    <p>Question *</p>
                    <asp:TextBox runat="server" class="form-control" ID="textualInsertQuestion" placeholder="Enter Question" />
                </div>
                <div class="form-group">
                        <p>File</p>
                        <asp:FileUpload ID="FileUploadSA" runat="server" /></br>
                        <asp:Button ID="btnUploadSA" runat="server" Text="Upload" OnClick="uploadSA" AutoPostBack="true"/> </br> </br>
                        <asp:HiddenField ID="fileTypeNameSA" runat="server" />
                        <asp:Label ID="uploadedSA" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                </div>
                <div class="form-group">
                    <p>Answer *</p>
                    <asp:TextBox runat="server" class="form-control" ID="textualInsertQAnswer" placeholder="Enter Answer" />
                </div>
                <div class="form-group">
                    <p>Notes</p>
                    <asp:TextBox runat="server" class="form-control" ID="textualInsertQNotes" placeholder="Enter Notes" />
                </div>
                <div class="form-group">
                    <p>Grade Level *</p>
                    <br />
                    <asp:DropDownList ID="textualDifficultyLevel" class="form-control" runat="server">
                        <asp:ListItem Value="">Please Select</asp:ListItem>
                        <asp:ListItem Value="5">5th Grade</asp:ListItem>
                        <asp:ListItem Value="6">6th Grade</asp:ListItem>
                        <asp:ListItem Value="7">7th Grade</asp:ListItem>
                        <asp:ListItem Value="8"> 8th Grade</asp:ListItem>
                    </asp:DropDownList>
                    <br />
                </div>
                    <div class="form-group">
                        <p>Source</p>
                        <asp:TextBox runat="server" class="form-control" ID="textualInsertQSource" placeholder="Enter Source" />
                    </div>
                </div>
            </asp:Panel>
             <!-- End Short Answer Div -->  
        
        
        <!-- Begin Multiple Choice Answer Div --> 
        <asp:Panel ID="multipleAnswerDiv" runat="server" visible="false">
            <div class="form-group">
                <p>Question *</p>
                <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQuestion" placeholder="Enter Question" />
            </div>
            <div class="form-group">
                    <p>File</p>
                    <asp:FileUpload ID="FileUpload1" runat="server" /></br>
                    <asp:Button ID="btnUpload" runat="server" Text="Upload" OnClick="upload" AutoPostBack="true"/> </br> </br>
                    <asp:HiddenField ID="fileTypeName" runat="server" />
                    <asp:Label ID="uploaded" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
            </div>
            <div class="form-group">
                    <p>Number of Choices *</p>
                    <asp:DropDownList ID="multipleChoiceNbr" class="form-control" runat="server" OnSelectedIndexChanged="multipleChoiceNbr_SelectedIndexChanged" AutoPostBack="true">
                            <asp:ListItem Value="0">Please Select</asp:ListItem>
                            <asp:ListItem>2</asp:ListItem>
                            <asp:ListItem>3</asp:ListItem>
                            <asp:ListItem>4</asp:ListItem>
                            <asp:ListItem>5</asp:ListItem>
                            <asp:ListItem>6</asp:ListItem>
                            <asp:ListItem>7</asp:ListItem>
                            <asp:ListItem>8</asp:ListItem>
                            <asp:ListItem>9</asp:ListItem>
                            <asp:ListItem>10</asp:ListItem>
                        </asp:DropDownList>
                </div>
                <asp:Repeater ID="mcqRepeat" runat="server">
                    <ItemTemplate>
                        <p>Choice <%#Container.ItemIndex+1 %> </p>
                        <asp:TextBox ID="multipleChoice" class="form-control" runat="server" placeholder="Enter Choice" />
                    </ItemTemplate>
                    <SeparatorTemplate>
                            <br />
                        </SeparatorTemplate>
                </asp:Repeater>
                
                <br />
                <div class="form-group">
                    <p>Grade Level*</p>
                    <br />
                    <asp:DropDownList ID="multipleChoiceDifficultyLevel" class="form-control" runat="server">
                        <asp:ListItem Value="">Please Select</asp:ListItem>
                        <asp:ListItem Value="5">5th Grade</asp:ListItem>
                        <asp:ListItem Value="6">6th Grade</asp:ListItem>
                        <asp:ListItem Value="7">7th Grade</asp:ListItem>
                        <asp:ListItem Value="8"> 8th Grade</asp:ListItem>
                    </asp:DropDownList>
                    <br />
                </div>
            <div class="form-group">
                <p>Answer *</p>
                <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQAnswer" placeholder="Enter Answer" />
            </div>
            <div class="form-group">
                <p>Notes</p>
                <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQNotes" placeholder="Enter Notes" />
            </div>
            <div class="form-group">
                    <p>Source</p>
                    <asp:TextBox runat="server" class="form-control" ID="multipleChoiceInsertQSource" placeholder="Enter Source" />
                </div>
            </asp:Panel>
        <!-- End Multiple Choice Answer Div --> 


        <!-- Begin Rating and Common Div --> 
        <asp:Panel ID="ratingAndCommonDiv" runat="server" visible="false">
            <!-- For Concepts -->
            <div class="form-group">
                <div class="panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4>
                                <a data-toggle="collapse" href="#collapseConcepts">Concepts</a>
                                </h4>
                        </div>

                        <div id="collapseConcepts" class="panel-collapse collapse">
                            <div class="panel-body">
                                    <p style="font-size: 15px">Rate the concepts on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
    
                                <asp:Repeater ID="lvConcepts" runat="server">
                                    <ItemTemplate>
                                        <%# Eval("ConceptName") %>
                                        <br />
                                        <br />
                                        <asp:DropDownList class="form-control" runat="server" ID="lvConceptDropdown">
                                            <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                            <asp:ListItem>1</asp:ListItem>
                                            <asp:ListItem>2</asp:ListItem>
                                            <asp:ListItem>3</asp:ListItem>
                                            <asp:ListItem>4</asp:ListItem>
                                            <asp:ListItem>5</asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:HiddenField ID="lvConceptId" runat="server" Value='<%# Eval("ConceptId") %>' />
                                        <br />
                                    </ItemTemplate>
                                </asp:Repeater>
                            </div>

                        </div>
                    </div>
                </div>


            </div>
            <!-- For Habits -->
            <div class="form-group">
                <div class="panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4>
                                <a data-toggle="collapse" href="#collapseHabits">Habits</a>
                                 </h4>
                        </div>
                        <div id="collapseHabits" class="panel-collapse collapse">
                           <div class="panel-body">
                                <p style="font-size: 15px">Rate the habits on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
    
                                <asp:Repeater ID="lvHabits" runat="server">
                                    <ItemTemplate>
                                        <%# Eval("HabitName") %>
                                        <br />
                                        <br />


                                        <asp:DropDownList class="form-control" runat="server" ID="lvHabitsDropdown">
                                            <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                            <asp:ListItem>1</asp:ListItem>
                                            <asp:ListItem>2</asp:ListItem>
                                            <asp:ListItem>3</asp:ListItem>
                                            <asp:ListItem>4</asp:ListItem>
                                            <asp:ListItem>5</asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:HiddenField ID="lvHabitId" runat="server" Value='<%# Eval("HabitId") %>' />
                                        <br />
                                    </ItemTemplate>
                                </asp:Repeater>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

            <!-- For Practices -->
            <div class="form-group">
                <div class="panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4>
                                <a data-toggle="collapse" href="#collapsePractices">Practices</a>
                                 </h4>
                        </div>
                        <div id="collapsePractices" class="panel-collapse collapse">
                           <div class="panel-body">
                                <p style="font-size: 15px">Rate the practices on the basis of their alignment with the question and leave out the ones that don't align. 1 implies weak alignment and 5 implies strong alignment</p>
    
                                <asp:Repeater ID="lvPractices" runat="server">
                                    <ItemTemplate>
                                        <%# Eval("PracticeName") %>
                                        <br />
                                        <br />
                                        <asp:DropDownList class="form-control" runat="server" ID="lvPracticesDropdown">
                                            <asp:ListItem Value="0">Rate the alignment or leave unselected if it does not align</asp:ListItem>
                                            <asp:ListItem>1</asp:ListItem>
                                            <asp:ListItem>2</asp:ListItem>
                                            <asp:ListItem>3</asp:ListItem>
                                            <asp:ListItem>4</asp:ListItem>
                                            <asp:ListItem>5</asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:HiddenField ID="lvPracticeId" runat="server" Value='<%# Eval("PracticeId") %>' />
                                        <br />
                                    </ItemTemplate>
                                </asp:Repeater>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </asp:Panel>   

        <!-- End Rating and Common Div --> 

        <!-- Begin Submit Button Div --> 
        <asp:Panel ID="singleAnswerSubmitDiv" runat="server" visible="false">
            <input type="checkbox" onchange="document.getElementById('<%= singleAnswerSubmitButt.ClientID %>').disabled = !this.checked;" /> Please click the check-box to signify that the content you upload is not copyrighted and can be freely distribued on our CT Assessment System.
            <br />
            <button disabled="disabled" ID="singleAnswerSubmitButt" type="submit" class="btn btn-primary floatRight boxShadowBottom" runat="server" onserverclick="singleAnswerInsertButton_Click">Add</button>  
        </asp:Panel>
        <asp:Panel ID="multipleChoiceSubmitDiv" runat="server" visible="false">
            <input type="checkbox" onchange="document.getElementById('<%= multipleChoiceSubmitButt.ClientID %>').disabled = !this.checked;" /> Please click the check-box to signify that the content you upload is not copyrighted and can be freely distribued on our CT Assessment System.
            <br />
            <button disabled="disabled" ID="multipleChoiceSubmitButt" type="submit" class="btn btn-primary floatRight boxShadowBottom" runat="server" onserverclick="multipleChoiceInsertButton_Click">Add</button>
        </asp:Panel>
        <br />
        <br />
                               
        <!-- End Submit Button Div --> 

        <br />
        </form>

        <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
        <br />
        <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
        <br />
        <br /><br /><br /><br />
        <br />
        </div>
        
    </body>
    </html>
</asp:Content>
