﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAdminAddNewUser.aspx.cs" Inherits="AddNewUser" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <br />
        <!--Header block -->
        <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
        <div class="col-sm-6 textCenter">
            <h2 class="marginTop6px ColorBlue">Add, Edit or Delete User</h2>
        </div>
        <div class="col-sm-3">
            <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                <span class="glyphicon glyphicon-log-out"></span> Log out
            </button>
        </div>
        <br />
        <div style="clear: both"></div>
        <hr />
        <!--Header block -->
        <p id="textualErrorBox" style="color: red" runat="server"></p>
        <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
        <br /><br /><br />

                <asp:Panel runat="server" ID="adminPanel" class="container jumbotron" style="width: 50%">
                <p>Available Roles</p>
                <p style="font-size:16px">
                    <b>1: Administrator:</b> Complete access to View/Add/Delete/Rate questions and User Management.<br />
                    <b>2: Teacher  :</b> Access to View/Add/Rate questions.<br />
                    <b>3: Student :</b> Select this for a student profile.<br />
                    <b>4: Expert :</b> Access to View/Rate questions.<br />
                    <b>5: Contributor  :</b> Access to View and Add questions.<br />
                    <b>6: Viewer :</b> Access to View questions only.
                </p>
                </asp:Panel>
        <!-- Edit User -->

        <center>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" SelectCommand="SELECT * FROM ct_questions.[CT_Contributors]" DeleteCommand="DELETE FROM ct_questions.[CT_Contributors] WHERE [ContributorID] = @original_ContributorID" InsertCommand="INSERT INTO ct_questions.[CT_Contributors] ([ContributorName], [Username], [Password], [Role]), [GradeLevel] VALUES (@ContributorName, @Username, @Password, @Role, @GradeLevel)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE ct_questions.[CT_Contributors] SET [ContributorName] = @ContributorName, [Username] = @Username, [Password] = @passHash, [Role] = @Role, [FirstName] = @firstName, [LastName] = @LastName, [ContactNumber] = @ContactNumber, [Email] = @email , [GradeLevel] = @GradeLevel WHERE [ContributorID] = @original_ContributorID">
            <DeleteParameters>
                <asp:Parameter Name="original_ContributorID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ContributorName" Type="String" />
                <asp:Parameter Name="Username" Type="String" />
                <asp:Parameter Name="Password" Type="String" />
                <asp:Parameter Name="Role" Type="Int32" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="ContactNumber" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="GradeLevel" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="ContributorName" Type="String" />
                <asp:Parameter Name="Username" Type="String" />
                <asp:Parameter Name="passHash" Type="String" />
                <asp:Parameter Name="Role" Type="Int32" />
                <asp:Parameter Name="original_ContributorID" Type="Int32" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="ContactNumber" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="GradeLevel" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridView1" runat="server" cellpadding="5" cellspacing="4" DataKeyNames="ContributorID" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="True" Height="235px" OnRowUpdating="GridView1_RowUpdating" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" Width="100%">
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="FirstName" HeaderText="First Name" SortExpression="FirstName" />
                <asp:BoundField DataField="LastName" HeaderText="Last Name" SortExpression="LastName" />
                <asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username" />
                <asp:BoundField DataField="Password" HeaderText="Password" SortExpression="Password" ItemStyle-Width="20px" ItemStyle-CssClass="maxWidthGrid"/>
                <asp:BoundField DataField="Role" HeaderText="Role" SortExpression="Role" />
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                <asp:BoundField DataField="ContactNumber" HeaderText="Contact Number" SortExpression="ContactNumber" />
                <asp:BoundField DataField="GradeLevel" HeaderText="Grade Level" SortExpression="GradeLevel" />
            </Columns>
            <EditRowStyle BackColor="#EFF3FB" />
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#EFF3FB" CssClass ="gvhspadding" HorizontalAlign="Center"  />
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#F5F7FB" />
            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
            <SortedDescendingCellStyle BackColor="#E9EBEF" />
            <SortedDescendingHeaderStyle BackColor="#4870BE" />
        </asp:GridView>


        </center>



        <br />

        <!-- Edit User Ends -->
       
        <div class="container jumbotron" style="width: 50%">
            <center><h4>Add User</h4><div style="clear: both"></div></center>
                <hr />
            
        <form action="">

                <div class="form-group">
                        <p>Role</p>
                        <!--<p style="font-size:13px">Select a Role based on the Access level you want to grant:<br />
                            <b>Administrator:</b> Complete access to View/Add/Edit/Delete/Rate questions and User Management.<br />
                            <b>Contributor  :</b> Access to View/Add/Edit/Delete questions.<br />
                            <b>Expert :</b> Access to View/Rate questions.<br />
                            <b>Viewer :</b> Access to View questions only.
                        </p>-->
                        <asp:DropDownList ID="userRole" class="form-control" runat="server" OnSelectedIndexChanged="position_Change" AutoPostBack="true">
                        <asp:ListItem Value="0">Please Select</asp:ListItem>
                        <asp:ListItem>Administrator</asp:ListItem>
                        <asp:ListItem>Teacher</asp:ListItem>
                        <asp:ListItem>Student</asp:ListItem>
                        <asp:ListItem>Expert</asp:ListItem>
                        <asp:ListItem>Contributor</asp:ListItem>
                        <asp:ListItem>Viewer</asp:ListItem>
                    </asp:DropDownList>
                    </div>

            <div class="form-group">
                <p>First Name</p>
                <asp:TextBox runat="server" class="form-control" ID="txtFirstName" placeholder="Enter First Name" />
            </div>
            <div class="form-group">
                <p>Last Name</p>
                 <asp:TextBox runat="server" class="form-control" ID="txtLastName" placeholder="Enter Last Name" />
            </div>
            <div class="form-group">
                <p>Username</p>
                <asp:TextBox runat="server" class="form-control" ID="txtUsername" placeholder="Enter Username" />
            </div>
            <div class="form-group">
                <p>Password</p>
                <asp:TextBox runat="server" TextMode="Password" class="form-control" ID="txtPassword" placeholder="Enter Password" />
            </div>
 
            <div class="form-group" ID="gradeLevelDiv" runat="server" Visible=false>
                    <p>Grade Level</p>
                    <asp:DropDownList ID="gradeLevelDrop" class="form-control" runat="server">
                        <asp:ListItem Value="">Please Select</asp:ListItem>
                        <asp:ListItem Value="5">5th Grade</asp:ListItem>
                        <asp:ListItem Value="6">6th Grade</asp:ListItem>
                        <asp:ListItem Value="7">7th Grade</asp:ListItem>
                        <asp:ListItem Value="8">8th Grade</asp:ListItem>
                    </asp:DropDownList>
            </div>

            <div class="form-group" ID="schoolDiv" runat="server" Visible=false>
                    <p>School Association</p>
                    <asp:DropDownList ID="schoolDropDown" AppendDataBoundItems = "True" DataTextField="SchoolName" DataValueField="id" class="form-control" runat="server" DataSourceID="SqlDataSource13">
                        <asp:ListItem Value="0">Please Select</asp:ListItem>
                    </asp:DropDownList>
                    <asp:SqlDataSource ID="SqlDataSource13" runat="server" ConnectionString="<%$ ConnectionStrings:DBConnString %>">
                    </asp:SqlDataSource>
            </div>

            <div class="form-group">
                <p>Email</p>
                <asp:TextBox runat="server" class="form-control" ID="txtEmail" placeholder="Enter Email" />
            </div>
             <div class="form-group">
                <p>Contact Number</p>
                <asp:TextBox runat="server" class="form-control" ID="txtContactNumber" placeholder="Contact Number" />
            </div>
            <br />
            <asp:Button ID="btnAddNewUser" runat="server" CssClass="btn btn-primary boxShadowBottom floatLeft" OnClick="btnAddNewUser_Click" Text="Add" />
            <asp:Button ID="btnCancelNewUser" runat="server" CssClass="btn btn-default boxShadowBottom floatRight" OnClick="btnCancelNewUser_Click" Text="Cancel" />
        </form>

        <br />
        <br />
        <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
        <br />
        <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

        </div>
<style>
#GridView1
{

padding: 5px;
margin-left: 10px;

}

.maxWidthGrid
    {
        max-width: 200px;
        overflow: hidden;
    }
</style>
        
        
    </body>

    </html>
</asp:Content>
