﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAdminDeleteUser.aspx.cs" Inherits="CTQuestionsCB" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>
        <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
        <script>
            $(document).ready(function () {

                $(".toggle-accordion").on("click", function () {
                    var accordionId = $(this).attr("collapseAcc"),
                        numPanelOpen = $(accordionId + ' .collapse.in').length;
                    $('#collapseAcc .panel-collapse').collapse('toggle');
                    $(this).toggleClass("active");
                })

            });
        </script>
        <form id="form1">
            <div>
                <!--Header block -->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter ColorBlue">
                    <h2 class="marginTop6px">View and Delete Users</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <div style="clear: both"></div>
                <hr />
                <!--Header block -->

                <div class="accordion-option">
                    <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                    <a href="javascript:void(0)" class="toggle-accordion active" accordion-id="#accordion"></a>
                </div>

                
                <br /><br /><br /><br />

                <div class="container jumbotron" style="width: 90%">
                <div class="panel-group" id="collapseAcc" role="tablist" aria-multiselectable="true" >

                    <asp:Repeater ID="rptAccordian" runat="server">
                        <ItemTemplate>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h6 class="panel-title">
                                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#dvAccordian"
                                            href="#collapseAcc<%# Container.ItemIndex %>">
                                            <b class="ColorBlue"><%# Eval("ContributorName") %> </b> : <%# ConvertToRoleName(Eval("Role")) %>
                                        </a>
                                    </h6>

                                </div>

                                <div id="collapseAcc<%# Container.ItemIndex %>" class="panel-collapse collapse" aria-expanded="false">
                                    <div class="panel-body">
                                        <div class="floatRight">
                                        <asp:Button ID="deleteUser" onClientClick="return confirm('Are you sure you want to delete the user?');" runat="server" Text="Delete" CssClass="btn btn-danger btn-sm " CommandArgument='<%# Eval("ContributorID") %>' Style="" OnCommand="deleteUser_Click"></asp:Button>
                                        </div>
                                        <br />
                                        <b class="ColorBlue">Username: </b><%# Eval("Username") %>
                                        <br />
                                        <b class="ColorBlue">Password: </b><%# Eval("Password") %>
                                        <br />
                                        <b class="ColorBlue">Role: <%# ConvertToRoleName(Eval("Role")) %> </b>
                                        <br />
                                        <br />

                                    </div>
                                </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>

                
                <br />
                <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                <br />
                <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

            </div>
            </div>
        </form>
    </body>
    </html>
</asp:Content>
