﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;

using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;

using System.Net;
using System.Web.Script.Serialization;
using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.IO;
using System.Collections.Generic;

public partial class CTQuestionsCB : System.Web.UI.Page
{
    String conStr = ConfigurationManager.ConnectionStrings["techfitConnectionStringNonODB"].ConnectionString.ToString();
    
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=1){
                Response.Redirect("Default.aspx");
            }
            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();
            if (!this.IsPostBack)
            {
                this.BindRepeaterViewAllUsers();
            }
            // Adapt page depending on role
            //Contributor
            if (role == 2)
            {
                for (int i = 0; i <= rptAccordian.Items.Count - 1; i++)
                {
                    Button deleteBtn = (Button)rptAccordian.Items[i].FindControl("deleteQuestion");
                    deleteBtn.Visible = false;
                }
                 
            }
            //Expert
            else if (role == 3)
            {
               for (int i = 0; i <= rptAccordian.Items.Count - 1; i++)
                {
                    Button deleteBtn = (Button)rptAccordian.Items[i].FindControl("deleteQuestion");
                    deleteBtn.Visible = false;
                }
            }
            //Viewer
            else if (role == 4)
            {
               for (int i = 0; i <= rptAccordian.Items.Count - 1; i++)
                {
                    Button deleteBtn = (Button)rptAccordian.Items[i].FindControl("deleteQuestion");
                    deleteBtn.Visible = false;
                }
            }
        }
        catch (Exception exception)
        {
            lblErr.Text = "An error occured. Please try again later!"+ exception.Message;
            //lblErr.Text = exception.Message;
           // Response.Redirect("Default.aspx");
           Response.Redirect("Default.aspx");

        }
        
    }

    protected void deleteUser_Click(object sender, CommandEventArgs e)
    {
        try
        {
            using (SqlConnection con = new SqlConnection(conStr))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.CommandText = "delete from ct_questions.CT_Contributors WHERE ContributorID = @ContrID";
                    SqlParameter param = new SqlParameter();
                    param.ParameterName = "@ContrID";
                    param.Value = e.CommandArgument.ToString();
                    cmd.Parameters.Add(param);
                    cmd.Connection = con;
                    con.Open();
                    rptAccordian.DataSource = cmd.ExecuteReader();
                    rptAccordian.DataBind();
                    con.Close();
                    StringBuilder sb = new StringBuilder();
                    String message="User deleted!";
                    sb.Append("<script type='text/javascript'>");
                    sb.Append("alert('" + message + "');window.open('CTAdminDeleteUser.aspx','_self');");
                    sb.Append("</script>");
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
                }
            }
            Response.Redirect("CTAdminDeleteUser.aspx");

        }
        catch (System.Data.SqlClient.SqlException exception)
        {

            lblErr.Text = "Error occured! Please try again! : " + exception.StackTrace;
        }
        catch (Exception exception)
        {

            lblErr.Text = "Error occured! Please try again!: " + exception.ToString();
        }
    }

    

    private void BindRepeaterViewAllUsers()
    {

        try
        {
            using (SqlConnection con = new SqlConnection(conStr))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.CommandText = "select S.ContributorID, S.ContributorName, S.Username, S.Password, S.Role from ct_questions.CT_Contributors S";
                    cmd.Connection = con;
                    con.Open();
                    rptAccordian.DataSource = cmd.ExecuteReader();
                    rptAccordian.DataBind();
                    con.Close();
                }
            }

        }
        catch (System.Data.SqlClient.SqlException exception)
        {

            lblErr.Text = "Error occured! Please try again! : " + exception.StackTrace;
        }
        catch (Exception exception)
        {

            lblErr.Text = "Error occured! Please try again!: " + exception.ToString();
        }
    }

    public string ConvertToRoleName(object role)
    {
        if (role == null)
        {
            return "Nothing";
        }
        else
        {
            if(Convert.ToInt32(role) ==1)
                return "Admin";
            else if(Convert.ToInt32(role) ==2)
                return "Contributor";
            else if(Convert.ToInt32(role) ==3)
                return "Expert";
            else if(Convert.ToInt32(role) ==4)
                return "Viewer";
            else
                return null;
        }

    }
    
    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Response.Redirect("Default.aspx");
    }

    protected void goBack(object sender, EventArgs e)
    {
        Response.Redirect("CTAdminLanding.aspx");
    }

    



}