﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTAdminLanding.aspx.cs" Inherits="CTQuestionsCB" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Computational Thinking Questions</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <div runat="server" id="containerAdminPanel">
                    <p id="textualErrorBox" style="color: red" runat="server"></p>
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <button ID="reloadSelector" class="btn btn-warning btn-md " runat="server" onserverclick="reloadSelection" style="float: right">
                            <span class="glyphicon glyphicon-refresh"></span> Reload Selection
                        </button>
                    <center>
                        
                        <div class="container col-sm-12">
                            <h4><asp:Label ID="selectedCHPName" runat="server" Text="" cssClass="ColorBlue"></asp:Label> </h4>
                            
                            
                                <h4><asp:Label ID="selectorCHP" runat="server" Text="View Questions by selecting a Concept, Habit or Practice"></asp:Label>
                                </h4>
                                
                                
                                <asp:HiddenField ID="selectedConceptID" runat="server" Value='' />
                                <asp:HiddenField ID="selectedHabitID" runat="server" Value='' />
                                <asp:HiddenField ID="selectedPracticeID" runat="server" Value='' />
                                        
                                <br>
                                    <!-- For Concepts -->
                        <div class="container" runat="server" id="CHPDiv">            
                            <div class="form-group col-sm-4">
                                    <div class="panel-group">
                                        <div class="panel panel-default height260px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapseConcepts" class="noHover">Concepts</a>
                                                </h4>
                                            </div>
        
                                            <div id="collapseConcepts" class="panel-collapse">
                                                <div class="panel-body">
                                                    <asp:Repeater ID="lvConcepts" runat="server" OnItemDataBound="ItemBoundConcept">
                                                        <ItemTemplate>
                                                            <asp:LinkButton Text='<%# Eval("ConceptName") %>' OnCommand="selectConceptIntoLabel_Click" CommandArgument='<%# Eval("ConceptName")+","+Eval("ConceptId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvConceptId" runat="server" Value='<%# Eval("ConceptId") %>' />
                                                            <asp:Label ID="conceptCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
        
                                            </div>
                                        </div>
                                    </div>
        
        
                                </div>
                                <!-- For Habits -->
                                <div class="form-group col-sm-4"> 
                                    <div class="panel-group">
                                        <div class="panel panel-default height260px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapseHabits" class="noHover">Habits</a>
                                                </h4>
                                            </div>
                                            <div id="collapseHabits" class="panel-collapse ">
                                            <div class="panel-body">
                                                    <asp:Repeater ID="lvHabits" runat="server" OnItemDataBound="ItemBoundHabit">
                                                        <ItemTemplate>
                                                            
                                                            <asp:LinkButton Text='<%# Eval("HabitName") %>' OnCommand="selectHabitIntoLabel_Click" CommandArgument='<%# Eval("HabitName")+","+Eval("HabitId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvHabitId" runat="server" Value='<%# Eval("HabitId") %>' />
                                                            <asp:Label ID="habitCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
        
                                            </div>
                                        </div>
                                    </div>
        
                                </div>
        
                                <!-- For Practices -->
                                <div class="form-group col-sm-4">
                                    <div class="panel-group">
                                        <div class="panel panel-default height260px">
                                            <div class="panel-heading">
                                                <h4>
                                                    <a data-toggle="collapse" href="#collapsePractices" class="noHover">Practices</a>
                                                </h4>
                                            </div>
                                            <div id="collapsePractices" class="panel-collapse ">
                                                <div class="panel-body">
        
                                                    <asp:Repeater ID="lvPractices" runat="server" OnItemDataBound="ItemBoundPractice">
                                                        <ItemTemplate>
                                                            <asp:LinkButton Text='<%# Eval("PracticeName") %>' OnCommand="selectPracticeIntoLabel_Click" CommandArgument='<%# Eval("PracticeName")+","+Eval("PracticeId") %>' runat="server"/>
                                                            <asp:HiddenField ID="lvPracticeId" runat="server" Value='<%# Eval("PracticeId") %>' />
                                                            <asp:Label ID="practiceCounter" runat="server" Text=""></asp:Label>
                                                            <br />
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> 
                            <div class="row" runat="server" id="SMFDiv">
                                <div class="col-lg-12">
                                    <p>
                                            <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToSingleAnswer">
                                                    <i class="fa  fa-info-circle fa-3x margin20px"></i>
                                                    <br />Short Answer<br />
                                                    <br />Short textual answer questions
                                                </button>    
                                                <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToMultipleChoice">
                                            <i class="fa fa-server fa-3x margin20px"></i>
                                            <br />Multiple Choice<br />
                                            <br />Multiple choice answer questions
                                        </button>  
                                        <!-- 
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToFileType">
                                            <i class="fa fa-file fa-3x margin20px"></i>
                                            <br />File Type<br />
                                            <br /><br /> Image based questions
                                            <br />Open or close ended
                                        </button> 
                                        -->
                                    </p>
                                </div>
                            </div>
                            <h4><asp:Label runat="server" Text="OR"></asp:Label>
                            </h4>
                            <br>
                            <div class="row" runat="server" id="SMFDiv2">
                                <div class="col-lg-12">
                                    <p>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToViewAllQuestions">
                                            <i class="fa  fa fa-ellipsis-v fa-3x margin20px"></i>
                                            <br /><br />View All <asp:Label ID="questionCounter" runat="server" Text=""></asp:Label> Questions<br /><br />
                                        </button>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToViewOpenEQuestions">
                                            <i class="fa  fa fa-ellipsis-v fa-3x margin20px"></i>
                                            <br />View All Open Ended Questions<br />
                                        </button>
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToViewCloseEQuestions">
                                            <i class="fa  fa fa-ellipsis-v fa-3x margin20px"></i>
                                            <br />View All Close Ended Questions<br />
                                        </button>
                                        
                                        <button class="btn btn-sq-xlg btn-primary" runat="server" onserverclick="goToAddNewQuestion">
                                            <i class="fa  fa-plus fa-3x margin20px"></i>
                                            <br />Add a Question<br />
                                        </button>
                                    </p>
                                </div>
                            </div>
                            <br />
                        
                            <asp:Panel runat="server" ID="adminPanel" class="container jumbotron" style="width: 70%">
                            <div style="clear: both"></div><br />
                            <h4>Admin Panel</h4><div style="clear: both"></div>
                    <hr />
                            <button ID="btnAddNewUser" class="btn btn-warning btn-md " style="margin:5px;" runat="server" onserverclick="addNewUser">
                                <span class="glyphicon glyphicon glyphicon-user"></span> Modify User
                            </button>
                            <button ID="ButtonModifySchool" class="btn btn-warning btn-md " style="margin:5px;" runat="server" onserverclick="modifySchool">
                                    <span class="fa fa-university"></span> Modify School
                            </button>
                            <button ID="ButtonModifyHabit" class="btn btn-warning btn-md " style="margin:5px;" runat="server" onserverclick="modifyHabit">
                                <span class="fa fa-tags"></span> Modify Habit
                            </button>
                            <button ID="ButtonModifyConcept" class="btn btn-warning btn-md " style="margin:5px;" runat="server" onserverclick="modifyConcept">
                                <span class="fa fa-tags"></span> Modify Concept
                            </button>
                            <button ID="ButtonModifyPractice" class="btn btn-warning btn-md " style="margin:5px;" runat="server" onserverclick="modifyPractice">
                                <span class="fa fa-tags"></span> Modify Practice
                            </button>
                            <!--<button ID="btnDeleteUser" class="btn btn-danger btn-md " runat="server" onserverclick="deleteUser">
                                    <span class="glyphicon glyphicon glyphicon-remove"></span> Delete User
                                </button>
                                <button ID="btnHabits" class="btn btn-warning btn-md " runat="server" onserverclick="deleteUser">
                                    <span class="glyphicon glyphicon glyphicon-edit"></span> Modify Concepts
                                </button>
                                <button ID="btnConcepts" class="btn btn-warning btn-md " runat="server" onserverclick="deleteUser">
                                    <span class="glyphicon glyphicon glyphicon-edit"></span> Modify Habits
                                </button>-->    
                                <div style="clear: both;margin-bottom:50px"></div><br />
                            </asp:Panel>

                            <br />
                       
                    </center>
                </div>
            </div>
        </form>
    </body>
    </html>
</asp:Content>
