﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;

using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;

using System.Net;
using System.Net.Mail;
using System.Web.Script.Serialization;


using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public partial class CTMarkQuestionForDeletion : System.Web.UI.Page
{
    String conStr = ConfigurationManager.ConnectionStrings["techfitConnectionStringNonODB"].ConnectionString.ToString();
    String conOLDBStr = ConfigurationManager.ConnectionStrings["techfitConnectionString"].ConnectionString.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {

        try
        {
             // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=1 && role!=2 && role!=4){
                Response.Redirect("Default.aspx");
            }
            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();

            if (!this.IsPostBack)
            {
                //Saves the Previous page url in ViewState
                ViewState["PreviousPage"] = Request.UrlReferrer;
            }
        }
        catch (Exception exception)
        {
            lblErr.Text = "An error occured. Please try again later!";
            //lblErr.Text = exception.Message;
           Response.Redirect("Default.aspx");
            
        }


    }





   
    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Response.Redirect("Default.aspx");
    }
 

    protected void deleteButton_Click(object sender, EventArgs e)
    {
        
        OleDbConnection db = null;
        try
        {
            int qID = Convert.ToInt32(Session["questionID"].ToString());
            int qType = Convert.ToInt32(Session["questionType"].ToString());
            String contrID = Session["ContributorID"].ToString();
            String txtReasonStr = txtReason.Text;
            if (txtReasonStr == "")
                {
                    lblErr.Text = "Reason is required!";
                    txtReason.Focus();
                    return;
                }
            using (SqlConnection con = new SqlConnection(conStr))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.CommandText = "select ContributorName from ct_questions.CT_Contributors WHERE ContributorID = @ContrID";
                    SqlParameter param = new SqlParameter();
                    param.ParameterName = "@ContrID";
                    param.Value = contrID;
                    cmd.Parameters.Add(param);  
                    cmd.Connection = con;
                    con.Open();
                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable dt = new DataTable();
                    da.Fill(dt);
                    String contrName = (from DataRow dr in dt.Rows
                        select (String)dr["ContributorName"]).FirstOrDefault();
                    if(qType==1)
                        cmd.CommandText = "SELECT QText, QAnswer from ct_questions.CT_Question_SA where QuestionID = "+qID;
                    else{
                        cmd.CommandText = "SELECT QText, QAnswer from ct_questions.CT_Question_MC where QuestionID = "+qID;
                    }
                    con.Close();
                    cmd.Connection = con;
                                //SqlParameter param = new SqlParameter();
                                //param.ParameterName = "@contID";
                                //param.Value = studentDropDown.SelectedValue;
                                //cmd.Parameters.Add(param);
                    con.Open();
                    da = new SqlDataAdapter(cmd);
                    dt = new DataTable();
                    da.Fill(dt);
                    String qText = (from DataRow dr in dt.Rows
                        select (String)dr["QText"]).FirstOrDefault();
                    String qAnswer = (from DataRow dr in dt.Rows
                        select (String)dr["QAnswer"]).FirstOrDefault();
                    con.Close();
                    // Email to Admin for signup request
                    MailMessage adminMail = new MailMessage();
                    //adminMail.From = new MailAddress(signupEmail);
                    adminMail.To.Add("techfit@purdue.edu");
                    adminMail.Subject = "CT Tool Question Marked for Deletion";
                    adminMail.Body = "Hi Admin!"+"\n\n"+"You have received a request to delete a question. "+"Kindly review the following: \n\n"+
                    "Question: "+qText+"\nAnswer: "+qAnswer+"\nMarked by: "+contrName+"\nReason for deletion: "+txtReasonStr;
                    SmtpClient adminClient = new SmtpClient();            
                    adminClient.Send(adminMail);
                    StringBuilder sb = new StringBuilder();
                    String message="Question marked for deletion! The administrator will be notified.";
                    sb.Append("<script type='text/javascript'>");
                    sb.Append("alert('" + message + "'); window.open('"+ViewState["PreviousPage"].ToString()+"','_self');");
                    sb.Append("</script>");
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
                }
            }

        }
        catch (System.Data.SqlClient.SqlException exception)
        {

            lblErr.Text = "Error occured! Please try again! : " + exception.Message;
        }
        catch (Exception exception)
        {

            lblErr.Text = "Error occured! Please try again!: " + exception.ToString();
        }


    }

    protected void goBack(object sender, EventArgs e)
    {
        Response.Redirect(ViewState["PreviousPage"].ToString());
    }


}