﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTRateQuestion.aspx.cs" Inherits="CTRateQuestion" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>


        <title></title>
    </head>
    <body>
        <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
        <script>
            $(document).ready(function () {

                $(".toggle-accordion").on("click", function () {
                    var accordionId = $(this).attr("collapseAcc"),
                        numPanelOpen = $(accordionId + ' .collapse.in').length;
                    $('#collapseAcc .panel-collapse').collapse('toggle');
                    $(this).toggleClass("active");
                })

            });
        </script>
        <form id="form1">
            <div>

                <br />

                <!--Header block -->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Rate Question</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <div style="clear: both"></div>
                <hr />
                <!--Header block -->

                <div class="container jumbotron" style="width: 95%">
                    
                    <br />

                    <form action="">
                        <asp:Panel runat="server" ID="singleAnswerDiv">
                            <h4>
                            <asp:Label ID="singleQuestionText" runat="server"></asp:Label> </h4><br>
                            <b class="ColorBlue">Answer: </b>
                            <asp:Label ID="singleQuestionAnswer" runat="server"></asp:Label><br>
                            <b class="ColorBlue">Notes: </b>
                            <asp:Label ID="singleQuestionNotes" runat="server"></asp:Label><br>
                            <b class="ColorBlue">Grade Level: </b>
                            <asp:Label ID="singleQuestionGradeLevel" runat="server"></asp:Label><br>
                            <b class="ColorBlue">Source: </b>
                            <asp:Label ID="singleQuestionSource" runat="server"></asp:Label><br>
                            <br>

                        </asp:Panel>
                        <asp:Panel runat="server" ID="multipleChoiceDiv">
                                <h4>
                                <asp:Label ID="multipleQuestionText" runat="server"></asp:Label> </h4><br>
                                <img src='' style="max-width:1000px" ID="mcFileName" runat="server">
                                            <br /><br />
                                <b class="ColorBlue">Number of Choices: </b>
                                <asp:Label ID="multipleQuestionNbrChoices" runat="server"></asp:Label><br>
                                <b class="ColorBlue">Choices: </b>
                                <asp:Label ID="multipleQuestionChoice1" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice2" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice3" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice4" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice5" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice6" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice7" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice8" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice9" runat="server"></asp:Label>
                                <asp:Label ID="multipleQuestionChoice10" runat="server"></asp:Label><br>
                                <b class="ColorBlue">Answer: </b>
                                <asp:Label ID="multipleQuestionAnswer" runat="server"></asp:Label><br>
                                <b class="ColorBlue">Notes: </b>
                                <asp:Label ID="multipleQuestionNotes" runat="server"></asp:Label><br>
                                <b class="ColorBlue">Grade Level: </b>
                                <asp:Label ID="multipleQuestionGradeLevel" runat="server"></asp:Label><br>
                                <b class="ColorBlue">Source: </b>
                                <asp:Label ID="multipleQuestionSource" runat="server"></asp:Label><br>
                                <br>
                        </asp:Panel>
                        <asp:Panel runat="server" ID="fileTypeDiv">
                        <h4>
                        <asp:Label ID="fileTypeNotes" runat="server"></asp:Label> </h4><br>
                        <asp:Image id="fileImage" runat="server"
                        AlternateText="Image text"
                        ImageUrl="" item-width="150px"/> </br></br>
                        <b class="ColorBlue">Answer: </b>
                        <asp:Label ID="fileTypeAnswer" runat="server"></asp:Label><br>
                        <b class="ColorBlue">Grade Level: </b>
                        <asp:Label ID="fileTypeGradeLevel" runat="server"></asp:Label><br>
                        <b class="ColorBlue">Source: </b>
                                <asp:Label ID="fileTypeSource" runat="server"></asp:Label><br>
                        <br>
                    </asp:Panel>
                        <!-- For Concepts -->
                        <div class="form-group">
                            <div class="panel-group">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h5>
                                            <a data-toggle="collapse" href="#collapseConcepts">Concepts</a>
                                        </h5>
                                    </div>

                                    <div id="collapseConcepts" class="panel-collapse collapse">
                                        <div class="panel-footer">Rate the concepts on the basis of their Alignment </div>
                                        <div class="panel-body">
                                            <asp:Repeater ID="lvConcepts" runat="server">
                                                <ItemTemplate>
                                                    <%# Eval("ConceptName") %>
                                                    <br />
                                                    <br />
                                                    <asp:DropDownList class="form-control" runat="server" ID="lvConceptDropdown">
                                                        <asp:ListItem Value="0">Rate the Alignment</asp:ListItem>
                                                        <asp:ListItem>1</asp:ListItem>
                                                        <asp:ListItem>2</asp:ListItem>
                                                        <asp:ListItem>3</asp:ListItem>
                                                        <asp:ListItem>4</asp:ListItem>
                                                        <asp:ListItem>5</asp:ListItem>
                                                    </asp:DropDownList>
                                                    <asp:HiddenField ID="lvConceptId" runat="server" Value='<%# Eval("ConceptId") %>' />
                                                    <br />
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </div>

                                    </div>
                                </div>
                            </div>


                        </div>
                        <!-- For Habits -->
                        <div class="form-group">
                            <div class="panel-group">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h5>
                                            <a data-toggle="collapse" href="#collapseHabits">Habits</a>
                                        </h5>
                                    </div>
                                    <div id="collapseHabits" class="panel-collapse collapse">
                                        <div class="panel-footer">Rate the habits on the basis of their Alignment </div>
                                        <div class="panel-body">
                                            <asp:Repeater ID="lvHabits" runat="server">
                                                <ItemTemplate>
                                                    <%# Eval("HabitName") %>
                                                    <br />
                                                    <br />

                                                    <asp:DropDownList class="form-control" runat="server" ID="lvHabitsDropdown">
                                                        <asp:ListItem Value="0">Rate the Alignment</asp:ListItem>
                                                        <asp:ListItem>1</asp:ListItem>
                                                        <asp:ListItem>2</asp:ListItem>
                                                        <asp:ListItem>3</asp:ListItem>
                                                        <asp:ListItem>4</asp:ListItem>
                                                        <asp:ListItem>5</asp:ListItem>
                                                    </asp:DropDownList>
                                                    <asp:HiddenField ID="lvHabitId" runat="server" Value='<%# Eval("HabitId") %>' />
                                                    <br />
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </div>

                                    </div>
                                </div>
                            </div>

                        </div>

                        <!-- For Practices -->
                        <div class="form-group">
                            <div class="panel-group">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h5>
                                            <a data-toggle="collapse" href="#collapsePractices">Practices</a>
                                        </h5>
                                    </div>
                                    <div id="collapsePractices" class="panel-collapse collapse">
                                        <div class="panel-footer">Rate the practices on the basis of their Alignment </div>
                                        <div class="panel-body">

                                            <asp:Repeater ID="lvPractices" runat="server">
                                                <ItemTemplate>
                                                    <%# Eval("PracticeName") %>
                                                    <br />
                                                    <br />
                                                    <asp:DropDownList class="form-control" runat="server" ID="lvPracticesDropdown">
                                                        <asp:ListItem Value="0">Rate the Alignment</asp:ListItem>
                                                        <asp:ListItem>1</asp:ListItem>
                                                        <asp:ListItem>2</asp:ListItem>
                                                        <asp:ListItem>3</asp:ListItem>
                                                        <asp:ListItem>4</asp:ListItem>
                                                        <asp:ListItem>5</asp:ListItem>
                                                    </asp:DropDownList>
                                                    <asp:HiddenField ID="lvPracticeId" runat="server" Value='<%# Eval("PracticeId") %>' />
                                                    <br />
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <asp:Button ID="cancelRating" CssClass="btn btn-submit" Text="Cancel" style="margin-left:88%" runat="server" OnCommand="textualCancelButton_Click"></asp:button>
                        <asp:Button ID="saveRating" CssClass="btn btn-primary" Text="Rate" onClientClick="return confirm('Are you sure you want to save your rating?');" runat="server" OnCommand="textualRateButton_Click"></asp:button>
                    </form>
                    <br />
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <br /><br /><br /><br />
                </div>
                <br />
            </div>
        </form>
    </body>
    </html>
</asp:Content>
