﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTSignup.aspx.cs" Inherits="CTSignup" Title="CT Signup" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<asp:Content ID="Content3" ContentPlaceHolderID="cphMain" runat="Server">

   <!-- <div class="container" style="">
        <center>
            <img src="Images/template/TFLogo-1.png" border="0" alt="TECHFIT Logo" style="width: 40%" /></center>
        <br />
    </div> -->
    <center>
            <hr>
            <h2 class="ColorBlue">Computation Thinking Assessment System</h2>
            <hr>
        </center>

    <br />

    <div class="container jumbotron" style="width: 50%">
        <center><h3 class="ColorBlue">Sign up</h3></center>
        <br />
        <form action="">
                <asp:Panel runat="server" ID="adminPanel" class="">
                        <p>Available Roles</p>
                        <p style="font-size:16px">
                                <b>1: Administrator:</b> Complete access to View/Add/Delete/Rate questions and User Management.<br />
                                <b>2: Teacher  :</b> Access to View/Add/Rate questions.<br />
                                <b>3: Student :</b> Select this for a student profile.<br />
                                <b>4: Expert :</b> Access to View/Rate questions.<br />
                                <b>5: Contributor  :</b> Access to View and Add questions.<br />
                                <b>6: Viewer :</b> Access to View questions only.
                            </p>
                        </asp:Panel>
            <div class="form-group">
                <p>First Name</p>
                <asp:TextBox runat="server" class="form-control" ID="txtFirstname" placeholder="Enter First Name" />
            </div>
            <div class="form-group">
                <p>Last Name</p>
                <asp:TextBox runat="server" class="form-control" ID="txtLastname" placeholder="Enter Last Name" />
            </div>
            <div class="form-group">
                <p>Role Access Level</p>
                <asp:DropDownList ID="reqAccessLevel" class="form-control" runat="server" OnSelectedIndexChanged="accessLevel_SelectedIndexChanged" AutoPostBack="true">
                    <asp:ListItem Value="0">Please Select</asp:ListItem>
                    <asp:ListItem>Contributor</asp:ListItem>
                    <asp:ListItem>Expert</asp:ListItem>
                    <asp:ListItem>Viewer</asp:ListItem>
                    <asp:ListItem>Teacher</asp:ListItem>
                    <asp:ListItem>Student</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div class="form-group">
                <p>Bio</p>
                <asp:TextBox runat="server" class="form-control" ID="bio" placeholder="Enter Bio" />
            </div>
            <div class="form-group">
                <p>Subject Area Expertise</p>
                <asp:TextBox runat="server" class="form-control" ID="expertise" placeholder="Enter you area of expertise" />
            </div>
            <div class="form-group" id="positionDiv" runat="server" AutoPostBack="true" Visible=false>
                <p>Position</p>
                <asp:DropDownList ID="position" class="form-control" runat="server" OnSelectedIndexChanged="position_Change" AutoPostBack="true">
                    <asp:ListItem Value="0">Please Select</asp:ListItem>
                    <asp:ListItem>K12 Instructor</asp:ListItem>
                    <asp:ListItem>Business Consultant</asp:ListItem>
                    <asp:ListItem>Other</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div class="form-group" id="gradeDiv" runat="server" AutoPostBack="true" Visible=false>
                    <p>Grade</p>
                    <asp:DropDownList ID="grade" class="form-control" runat="server" AutoPostBack="true">
                        <asp:ListItem Value="0">5th Grade</asp:ListItem>
                        <asp:ListItem>6th Grade</asp:ListItem>
                        <asp:ListItem>7th Grade</asp:ListItem>
                        <asp:ListItem>8th Grade</asp:ListItem>
                    </asp:DropDownList>
                </div>
            <div class="form-group">
                <asp:TextBox runat="server" class="form-control" ID="otherPosition" placeholder="Enter position" Visible=false />
            </div>
            <div class="form-group">
                <p>Employer</p>
                <asp:TextBox runat="server" class="form-control" ID="employer" placeholder="Enter employer name" />
            </div>
            <div class="form-group">
                <p>Employer Website</p>
                <asp:TextBox runat="server" class="form-control" ID="employerWebsite" placeholder="Enter employer website" />
            </div>
            <div class="form-group">
                <p>Official Email ID</p>
                <asp:TextBox runat="server" class="form-control" ID="email" placeholder="Enter official email" />
            </div>

            <div class="form-group">
                 <p>Contact Number</p>
                  <asp:TextBox runat="server" class="form-control" ID="contact" placeholder="+1 (Area code) XXX-XXXX" />
            </div>
            <div class="form-group">
                <input type="checkbox"  onchange="document.getElementById('<%= signupButt.ClientID %>').disabled = !this.checked;" /> Please click the check-box to signify your consent with submitting your personal data to our CT Assessment System.
			</div>   
            <br />
            <input type="button" name="signupButt" runat="server" class="inputButton btn btn-primary boxShadowBottom floatRight" onserverclick="btnSignup_Click" id="signupButt" value="Request Sign up!" disabled="disabled" />
        </form>
       <br />
        <br />
        <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
        <br />
        <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

    </div>

</asp:Content>
