﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTStudentQuiz.aspx.cs" Inherits="CTStudentQuiz" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1">
    <title></title>
    <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script src="js/accordion.js" type="text/javascript"></script>
    <script src="”https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js”" integrity="”sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa”" crossorigin="”anonymous”"></script>
    <script>
        $(document).ready(function () {

            $(".toggle-accordion").on("click", function () {
                var accordionId = $(this).attr("collapseAcc"),
                    numPanelOpen = $(accordionId + ' .collapse.in').length;
                $('#collapseAcc .panel-collapse').collapse('toggle');
                $(this).toggleClass("active");
            })

        });
    </script>
    <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css">
</head>
<body oncontextmenu="return false" style=" background: white;">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <form id="form1">
            <br />
            <!--Header block starts-->
            <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
            <div class="col-sm-6 textCenter">
                <h2 class="marginTop6px ColorBlue">Computational Thinking Test</h2>
            </div>
            <div class="col-sm-3">
                <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                    <span class="glyphicon glyphicon-log-out"></span> Log out
                </button>
            </div>
            <br />
            <div style="clear: both"></div>
            <hr />
            <!--Header block ends-->
            <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                    <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
            </button>
                 <h4>
                    <span id="timerText" class="text-danger" style="float:right"></span><span runat="server" id="spnthankyou"></span> <br>
                    <span id="lbresult"></span> <br>
                    <asp:Label ID="lblScoreTest" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="lblInsight" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    <h2 class="ColorBlue">Begin test!</h2>
                    <asp:Label ID="rowCountQuestions" runat="server" Text=""></asp:Label> 
                </h4>
                <section id="accordion">
                        <asp:Repeater ID="rptAccordian" runat="server" onitemdatabound="rptAccordian_ItemDataBound">
                            <ItemTemplate>
                                <div data-type="accordion-section" id="accordion-section" data-filter="type1">
                                    <br><br>
                                    <h4 data-type="accordion-section-title">
                                            <asp:Label ID="questionTitle" runat="server" Text=""><%# Container.ItemIndex+1 %>) <%# Eval("QText") %> </asp:Label>
                                    </h4>
                                    <div class="accordion-content tableclass"  data-type="accordion-section-body">
                                            <br />
                                            <img src='<%# Eval("QFilename") %>' style="max-width:1200px" ><br /><br />
                                            
                                            <b class="ColorBlue">Notes: </b><%# Eval("Notes") %><br />
                                            <b class="ColorBlue">Choices: </b><br />
                                            <table class="tblOptions">
                                                    <tr runat="server" Visible='<%# Eval("Choice1")!=null?true:false%>'>
                                                        <td>
                                                            <input type="radio" id="rdOption1" name='<%#Eval("QuestionID") %>' value='<%# Eval("Choice1") %>'> <%# Eval("Choice1") %>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" Visible='<%# Eval("Choice2")!=null?true:false%>'>
                                                        <td>
                                                                <input type="radio" id="rdOption2" name='<%#Eval("QuestionID") %>' value='<%# Eval("Choice2") %>'> <%# Eval("Choice2") %>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" Visible='<%# Eval("Choice3")!=null?true:false%>'> 
                                                        <td>
                                                                <input type="radio" id="rdOption3" name='<%#Eval("QuestionID") %>' value='<%# Eval("Choice3") %>'> <%# Eval("Choice3") %>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" Visible='<%# Eval("Choice4")!=null?true:false%>'>
                                                        <td>
                                                                <input type="radio" id="rdOption4" name='<%#Eval("QuestionID") %>' value='<%# Eval("Choice4") %>'> <%# Eval("Choice4") %>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" Visible='<%# (String.IsNullOrEmpty(Eval("Choice5").ToString())?false:true)%>' >
                                                            <td>
                                                                    <input type="radio" id="rdOption5" name='<%#Eval("QuestionID") %>' value='<%# Eval("Choice5") %>'> <%# Eval("Choice5") %>
                                                            </td>
                                                        </tr>
                                                    <tr>
                                                            <td>
                                                                    <asp:Label ID="lbquestionstatus" runat="server"></asp:Label>
                                                            </td>
                                                        </tr>
                                                    <tr>
                                                        <td class="correctAnswer">Correct Answer:
                                                            <asp:Label ID="lbAnswer" runat="server" Text='<%#Eval("QAnswer") %>'></asp:Label>
                                                        </td>
                                                    </tr>
                                                </table>
                                            
                                            <br />
                                            <br />
                                            <br />
                                            <asp:HiddenField ID="hfQuestionID" runat="server" Value='<%# Eval("QuestionID") %>' />
                                            <asp:HiddenField ID="hfContributorID" Value='<%= Session["ContributorID"] %>' />
                                            <asp:HiddenField ID="hfAnswer" runat="server" Value='<%# Eval("QAnswer") %>' />
                                    </div>
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                            <br<Mbr><hr>
                            <asp:Button ID="btnSubmit" runat="server" Text="Submit" class="btn btn-primary" OnClick="btnSubmitQuiz_Click" OnClientClick="javascript: return CheckIfAllQuestionAnswerHasBeenSubmitted();" />
                    </section>
<br />
<asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
<br />
<asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />

        <asp:ScriptManager ID="ScriptManger" runat="server" EnablePageMethods="true"></asp:ScriptManager>
            <br><br><br><br><br><br><br><br>
            <script>
                //Set the number of minutes you need
                //var mins = 20;
                var mins = '<%= GetTimer() %>';
                var secs = mins * 60;
                var currentSeconds = 0;
                var currentMinutes = 0;

                var ourtimer;
                function StartCountDown() {
                    ourtimer = setTimeout(Decrement, 1000);
                }

                function EndCountDown() {
                    clearTimeout(ourtimer);
                }
                function selectedItems() {
                    return false;
                }
                
                $(document).ready(function () {
                    var confirmPrompt = confirm("You are about to begin the quiz. Mark all questions by selecting the appropriate radio button. After all questions have been answered, click the submit button to submit the quiz. From the start of the test, you have 20 minutes to do the best you can. If you need to zoom in on any question to enlarge it, press ‘Ctrl+’ on your keyboard or ‘Ctrl-’ to make it smaller. Press OK to start the test. ");
                    if(confirmPrompt==false){
                        window.location.href = "CTStudentLanding.aspx"
                    }
                    StartCountDown(); }); //start the countdown
                var userID = '<%=Session["ContributorID"] %>';
                function Decrement() {
                    currentMinutes = Math.floor(secs / 60);
                    currentSeconds = secs % 60;
                    if (currentSeconds <= 9) currentSeconds = "0" + currentSeconds;
                    secs--;
                    document.getElementById("timerText").innerHTML = "Time Remaining - " + currentMinutes + ":" + currentSeconds;
                    if (secs !== -1) {
                        setTimeout('Decrement()', 1000);
                    }
                    else {
                        alert("Time's up! Your quiz is not submitted!");
                        //$("#btnSubmit").click();
                        $("#btnSubmit").attr("disabled", "disabled"); //disable button if all questions answer has been given
                        $("#btnSubmit").removeClass("btn");
                        $("#btnSubmit").addClass("disabled");
                        window.location.href = "CTStudentLanding.aspx"
                    }
                }

                function CheckIfAllQuestionAnswerHasBeenSubmitted() {
                    var numItems = $('.tblOptions').length;
                    var flagtocheckcount = 0;
                    var flagRemaining=0;
                    $(".tblOptions").each(function () {
                        var groupname = $('input[type=radio]:first', this).attr('name');
                        if (!$("input[name='" + groupname + "']:checked").val()) {
                            $(this).parents(".tableclass").addClass("border");
                            var tableid = $(this).closest('table [class^="tableclass"]').attr("id");
                            flagRemaining++;
                            
                        }
                        else {
                            flagtocheckcount = flagtocheckcount + 1;
                        }
                    })
                    if(flagRemaining!=0)
                        alert("Please answer the questions marked in red!")

                    if (parseInt(flagtocheckcount) == parseInt(numItems)) {
                        $("#btnSubmit").addClass("disabled");
                        $(this).parents(".tableclass").removeClass("border");
                        var correctAnswerList=[];
                        var incorrectAnswerList=[];
                        var CountFinalResult = 0;
                        $(".tblOptions").each(function () {
                            var groupname = $('input[type=radio]:first', this).attr('name'); //also the question ID
                            var radioId = $("input[name='" + groupname + "']:checked").attr("id")
                            var UserSelectedAnswer = $("input[name='" + groupname + "']:checked").val();
                            var CorrectAnswer = $('span:last-child', this).text();
                            var CorrectAnswerSpanId = $('span:last-child', this).attr("id");
                            var QuestionStatus = $("span:nth-last-child(1)", this).attr("id");
                                //alert("groupname: "+groupname);
                                //alert("radioId: "+radioId);
                                //alert("UserSelectedAnswer: "+UserSelectedAnswer);
                                //alert("CorrectAnswer: "+CorrectAnswer);
                            if (CorrectAnswer == UserSelectedAnswer) {
                                $("#" + QuestionStatus).text("Correct Answer").css("color", "green");
                                $('td.correctAnswer').find("td.correctAnswer", this).css("display", "none");
                                correctAnswerList.push(groupname);
                                CountFinalResult = CountFinalResult + 1;
                                //alert("radioId: "+radioId);
                                //alert("UserSelectedAnswer: "+UserSelectedAnswer);
                                //alert("CorrectAnswer: "+CorrectAnswer);
                                //alert("CorrectAnswerSpanId: "+CorrectAnswerSpanId);
                                //alert("QuestionStatus: "+QuestionStatus);
                            }
                            else {
                                incorrectAnswerList.push(groupname);
                                //$('table.tblOptions tbody tr td:last-child').addClass("incorrect");
                                $('span:last-child', this).css({ 'display': 'inline-flex' });
                                //$("#" + QuestionStatus).text("Incorrect Answer").css({ 'color': 'Red' });
                                //$('td.correctAnswer', this).css({ "display": "block", "background-color": "yellow", "color": "red" });

                            }
                        });
                        score = (CountFinalResult/numItems)*100;
                        $("#lbresult").text("Final Result:" + score + "%");
                        
                        
                        //alert(correctAnswerList);
                        //$("#btnSubmit").prop('disabled', true); //disable button if all questions answer has been given
                        //$("#btnSubmit").removeClass("btn");
                        //$("#btnSubmit").addClass("disabled");
                        EndCountDown();
                        $("#timerText").css("display", "none");
                        
                        $("input[type=radio]").attr('disabled', true); //disable all radio button after test submitted by user
                        //$("#btnSubmit").prop('disabled', true);
                        var correctAnswerListAsString = JSON.stringify(correctAnswerList);
                        var incorrectAnswerListAsString = JSON.stringify(incorrectAnswerList);
                        $.ajax({
                            type: "POST",
                            url: "CTStudentQuiz.aspx/submitQuiz",
                            data: '{userID: "'+ userID + '", score: "' + score + '", correctAnswerListAsString: "'+ correctAnswerList+ '", incorrectAnswerListAsString: "'+ incorrectAnswerList+ '" }',
                            contentType: "application/json; charset=utf-8",
                            dataType: "json",
                            success: function (response) {
                                //alert("Done");
                                //alert('<%=Session["ContributorID"] %>');
                                $("#spnthankyou").append("Your quiz has been submitted")
                            },
                            error: function (error) {
                                $("#spnthankyou").append("Your quiz has NOT been submitted: "+error)
                            }
                        });
                        
                        return true;
                    }
                    else {
                        return false;
                    }
                }

                var CountCheckCheckQuestion = 0; //following function will work on every radio button click
                var TotalQuestions = 0;
                $("input[type=radio]").click(function () {
                    var groupname = $(this).attr("name");
                    $(this).parents(".tableclass").removeClass("border");
                    CheckTheCountOfQuestionHasBeenAnswered();          //this function to check if all the answer given while selecting radio button you don't need.. 
                    // to click on submit button
                    //if (parseInt(CountCheckCheckQuestion) == parseInt(TotalQuestions)) {
                        //CheckIfAllQuestionAnswerHasBeenSubmitted();
                    //}
                });


                function CheckTheCountOfQuestionHasBeenAnswered() {
                    TotalQuestions = $('.tblOptions').length;
                    var TotalGivenAnswerCount = 0;
                    var flagtocheckcount = 0;
                    $(".tblOptions").each(function () {
                        var groupname = $('input[type=radio]:first', this).attr('name');
                        if (!$("input[name='" + groupname + "']:checked").val()) {
                        }
                        else {
                            TotalGivenAnswerCount = TotalGivenAnswerCount + 1;
                        }
                    })
                    CountCheckCheckQuestion = TotalGivenAnswerCount;
                }

            </script>

            <style>
                .border {
                    border-color: red;
                    border-width: 1px;
                    border-style: solid;
                    width: 100%;
                }

                table {
                    margin: 10px;
                }

                .correctAnswer {
                    display: none;
                    width: 950px!important;
                }

                .tblOptions {
                    width: 100%;
                }

                .btndisabled {
                    background: #bdb3bd;
                    background-image: -webkit-linear-gradient(top, #bdb3bd, #757575);
                    background-image: -moz-linear-gradient(top, #bdb3bd, #757575);
                    background-image: -o-linear-gradient(top, #bdb3bd, #757575);
                    background-image: linear-gradient(to bottom, #bdb3bd, #757575);
                    -webkit-border-radius: 0;
                    -moz-border-radius: 0;
                    border-radius: 6px;
                    font-family: Arial;
                    color: #ffffff;
                    font-size: 19px;
                    padding: 3px 20px;
                    text-decoration: none;
                    cursor: none;
                }

                input[type="radio"] 
                {
                margin-right: 10px;
                }
            </style>
        </div>
    </form>
</body>
</html>
</asp:Content>