﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;
using System.Net;
using System.Web.Script.Serialization;
using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.Web.UI.DataVisualization.Charting;

public partial class CTStudentViewAssignedQuizzes : System.Web.UI.Page
{
    String conStr = ConfigurationManager.ConnectionStrings["techfitConnectionStringNonODB"].ConnectionString.ToString();
    String conOLDBStr = ConfigurationManager.ConnectionStrings["techfitConnectionString"].ConnectionString.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=3){
                Response.Redirect("Default.aspx");
            }
            Page.MaintainScrollPositionOnPostBack = false;
            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();
            if (!this.IsPostBack)
            {
                String studentID = Session["ContributorID"].ToString();
                SqlDataSource11.SelectCommand = "SELECT * FROM ct_questions.[CT_Quiz] WHERE [StudentsList] like '%,"+@studentID+",%' OR [StudentsList] like '"+@studentID+"' OR [StudentsList] like '"+@studentID+",%' OR [StudentsList] like '%,"+@studentID+"'";
                SqlDataSource11.DataBind();
                if(GridView11.Rows.Count==0){
                    StringBuilder sb = new StringBuilder();
                    String message="You do not have any assigned quizzes yet. Please take a random quiz.";
                    sb.Append("<script type='text/javascript'>");
                    sb.Append("alert('" + message + "'); window.open('CTStudentLanding.aspx','_self');");
                    sb.Append("</script>");
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
                }


                
            }
            // Show hide elements on page load
            //SMFDiv.Visible=false;
        }
        catch (Exception exception)
        {
            lblErr.Text=exception.ToString();
            //Response.Redirect("Default.aspx");
        }
    }

    protected void takeAssignedQuiz(object sender, CommandEventArgs e)
    {
        int quizID = Convert.ToInt32(e.CommandArgument);
        Session["quizID"] = quizID.ToString();
        Response.Redirect("CTStudentQuiz.aspx");
    }

   
    protected void goBack(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentLanding.aspx");
    }

    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Session["quizID"] = null;
            Response.Redirect("Default.aspx");
    }

    protected void goToTakeQuiz(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentQuiz.aspx");
    }

}