﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTTeacherViewBuiltQuizzes.aspx.cs" Inherits="CTTeacherViewBuiltQuizzes" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<%@ Register Assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI.DataVisualization.Charting" TagPrefix="asp" %>


<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <style>
            td
            {
            
            padding:10px;
            height:5px;
            
            }
            th
            {
            
            padding:10px;
            height:5px;
            
            }
        </style>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">Manage Built Quizzes</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <p id="textualErrorBox" style="color: red" runat="server"></p>
                <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                <br />  
                <div runat="server" id="containerClassPerformancePanel">
                    
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    
                    <div style="text-align: center">

                            
                    </div>
                    <h3 class="ColorBlue">Manage Built Quizzes</h3> <br>
                    
                    <center>
                        <asp:SqlDataSource ID="SqlDataSource11" runat="server" OnDeleted="OnRecordDeleted" SelectCommand="SELECT * FROM ct_questions.[CT_Quiz] WHERE [TeacherID] = @TeacherID" DeleteCommand="DELETE FROM ct_questions.[CT_Quiz] WHERE [id] = @original_id" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" OldValuesParameterFormatString="original_{0}">
                            <DeleteParameters>
                                <asp:Parameter Name="original_id" Type="Int32" />
                            </DeleteParameters>  
                            <SelectParameters>
                                <asp:Parameter Name="TeacherID" Type="Int32"/>
                            </SelectParameters>  
                        </asp:SqlDataSource>

                        <asp:GridView ID="GridView11" runat="server" DataKeyNames="id" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource11" ForeColor="#333333" GridLines="None" AllowPaging="True" Max-Height="235px" Width="100%">
                            <AlternatingRowStyle BackColor="White" />
                            <Columns>
                                <asp:TemplateField ShowHeader="False">
                                    <ItemTemplate>
                                        <asp:Button ID="viewEditQuiz" runat="server" CausesValidation="false" OnCommand="viewEditQuiz"
                                            Text="View/Edit" CommandArgument='<%# Eval("id") %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:CommandField ShowDeleteButton="True" ShowEditButton="False" />
                                <asp:BoundField DataField="QuizName" HeaderText="Quiz Name" SortExpression="QuizName" />
                                <asp:BoundField DataField="QuizTime" HeaderText="Quiz Duration (in minutes)" SortExpression="QuizTime" />
                            </Columns>
                            <EditRowStyle BackColor="#2461BF" />
                            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
                            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EFF3FB" CssClass="hsty"/>
                            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                            <SortedAscendingCellStyle BackColor="#F5F7FB" />
                            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                            <SortedDescendingCellStyle BackColor="#E9EBEF" />
                            <SortedDescendingHeaderStyle BackColor="#4870BE" />
                        </asp:GridView>

                        <div id="scrollPos"></div>
                        <br />
                        <br><br>
                    </center>
                        <div runat="server" id="containerQuizPanel" Visible=False>
                                <h3 class="ColorBlue">View and Edit - <asp:Label ID="selectedQuizNameHeading" runat="server" Text=""></asp:Label></h3>
                                <br />  <asp:Label ID="lblErrValidation" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                                <asp:HiddenField ID="quizID" runat="server" />
                                <h4>Quiz Duration (in minutes) *</h4><asp:TextBox ID="quizTimeBox" runat="server" Text=""></asp:TextBox> <br />
                                <h4>Assigned Students *</h4>
                                <div id="scrollPosStudents"></div>
                                <div class="form-group">
                                        <p>The highlighted students have already been assigned the test.    Select all or hold Control key and select students who you wish to assign the quiz to</p>
                                        <button ID="selectAllSelectorStudents" class="btn btn-warning btn-md " runat="server" style="float: left" onserverclick="selectAllSelectorStudents_Click">
                                                Select All
                                           </button> 
                                       <button ID="reloadSelectorStudents" class="btn btn-warning btn-md " runat="server" style="margin-left: 10px;float: left" onserverclick="reloadSelectorStudents_Click">
                                               <span class="glyphicon glyphicon-refresh"></span> Reload Selection
                                           </button> <br /><br /><br />
                                        <asp:ListBox ID="studentListBox" runat="server" SelectionMode="Multiple" Rows=10 AppendDataBoundItems=false>
                                        </asp:ListBox>
                                        
                                        
                                </div>
                                <button ID="updateQuizButton" type="submit" class="btn btn-primary boxShadowBottom" style="float: left" runat="server" onserverclick="updateQuizButton_Click">Update</button>  
                                <br /><br />
                        </div>
                        <br /><br /><br /><br /><br />
                    

            </div>
        </form>
    </body>

    </html>
</asp:Content>
