﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using System.Security.Cryptography;
using System.IO;
using System.Net;
using System.Web.Script.Serialization;
using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Text.RegularExpressions;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.Web.UI.DataVisualization.Charting;

public partial class CTTeacherViewBuiltQuizzes : System.Web.UI.Page
{
    String conStr = ConfigurationManager.ConnectionStrings["techfitConnectionStringNonODB"].ConnectionString.ToString();
    String conOLDBStr = ConfigurationManager.ConnectionStrings["techfitConnectionString"].ConnectionString.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            // Verify authorized user
            int role = Convert.ToInt32(Session["Role"].ToString());
            if(role!=2){
                Response.Redirect("Default.aspx");
            }
            Page.MaintainScrollPositionOnPostBack = false;
            welcomeBox.InnerHtml = Session["ContributorWelcomeMsg"].ToString();
            if (!this.IsPostBack)
            {
                SqlDataSource11.SelectParameters["TeacherID"].DefaultValue = Session["ContributorID"].ToString();
                if(GridView11.Rows.Count==0){
                    StringBuilder sb = new StringBuilder();
                    String message="You have not created a quiz yet. Build a quiz first to manage quizzes.";
                    sb.Append("<script type='text/javascript'>");
                    sb.Append("alert('" + message + "'); window.open('CTTeacherLanding.aspx','_self');");
                    sb.Append("</script>");
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
                }


                
            }
            // Show hide elements on page load
            //SMFDiv.Visible=false;
        }
        catch (Exception exception)
        {
            lblErr.Text=exception.ToString();
            //Response.Redirect("Default.aspx");
        }
    }

    protected void OnRecordDeleted(object source, SqlDataSourceStatusEventArgs e) {
        containerQuizPanel.Visible=false;
        StringBuilder sb = new StringBuilder();
            String message = "Quiz deleted!";
            sb.Append("<script type='text/javascript'>");
            sb.Append("alert('" + message + "');");
            sb.Append("</script>");
            ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
            GridView11.DataBind();
    }

    protected void viewEditQuiz(object sender, CommandEventArgs e)
        {
            //topicArea.DataBind();
            //topicArea.Items.Insert(0, new ListItem(String.Empty, "0"));
            //topicArea.SelectedIndex = 0;
            try{
            containerQuizPanel.Visible=true;
            int id = Convert.ToInt32(e.CommandArgument);
            quizID.Value = id.ToString();;

                SqlConnection con = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["dev.techfitConnectionString1"].ConnectionString);
                    con.Open();
                    SqlCommand cmd = new SqlCommand("SELECT QuizName, QuizTime FROM ct_questions.[CT_Quiz] WHERE id="+id);
                    cmd.Connection = con;
                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable dt = new DataTable();
                    da.Fill(dt);
                    String quizName = (from DataRow dr in dt.Rows
                                    select (String)dr["QuizName"]).FirstOrDefault();
                    int quizTime = (from DataRow dr in dt.Rows
                                    select (int)dr["QuizTime"]).FirstOrDefault();
                    selectedQuizNameHeading.Text=quizName;
                    quizTimeBox.Text = quizTime.ToString();
                    con.Close();

                                cmd.CommandText = "select StudentsList from ct_questions.CT_Quiz WHERE id=@id";
                                cmd.Connection = con;
                                SqlParameter param = new SqlParameter();
                                param.ParameterName = "@id";
                                param.Value = id;
                                cmd.Parameters.Add(param);
                                con.Open();
                                da = new SqlDataAdapter(cmd);
                                dt = new DataTable();
                                da.Fill(dt);
                                String studentsListAsString = (from DataRow dr in dt.Rows
                                    select (String)dr["StudentsList"]).FirstOrDefault();
                                con.Close();
                                String[] studentsList = studentsListAsString.Split(','); 
                                    cmd.CommandText = "select ContributorID, ContributorName from ct_questions.CT_Contributors WHERE Role=3 AND SchoolID=(Select SchoolID from ct_questions.CT_Contributors WHERE ContributorID=@Teacherid)";
                                    cmd.Connection = con;
                                    SqlParameter paramStudent = new SqlParameter();
                                    paramStudent.ParameterName = "@Teacherid";
                                    paramStudent.Value = Session["ContributorID"].ToString();
                                    cmd.Parameters.Add(paramStudent);
                                    con.Open();
                                    da = new SqlDataAdapter(cmd);
                                    dt = new DataTable();
                                    da.Fill(dt);
                                    studentListBox.DataSource = dt;
                                    studentListBox.DataValueField = "ContributorID";
                                    studentListBox.DataTextField = "ContributorName";
                                    studentListBox.DataBind();
                                    con.Close();
                                foreach(String student in studentsList){
                                    foreach (ListItem item in studentListBox.Items){
                                        if(item.Value==student){
                                            item.Selected = true;
                                        }                                          
                                    }
                                }
                                ClientScript.RegisterStartupScript(this.GetType(), "hash", "location.hash = '#scrollPos';", true);
                                con.Close();
                    } catch (System.Data.SqlClient.SqlException exception)
                    {

                        lblErr.Text = "Error occured! Please try again! : " + exception.Message;
                    }
                    catch (Exception exception)
                    {

                        lblErr.Text = "Error! Please try again!: " + exception.ToString();
                    }
            
            
    }
    
    protected void updateQuizButton_Click(object sender, EventArgs e)
    {
        OleDbConnection db = null;
        int qID = 0, rated=0;
        String strAppendConcepts = "";  
        String strAppendPractices = ""; 
        String strNames = "";  
        int index = 1;
        String paramNameConcepts = "";  
        String paramNamePractices = ""; 
        StringBuilder studentList = new StringBuilder();
        String studentListAsString = null;
        StringBuilder questionList = new StringBuilder();
        String questionListAsString = null;
        
        String durationStr = quizTimeBox.Text;
        //String quizNameStr = quizName.Text;


        // Validation
        Regex myFilter = new Regex("[0-9a-zA-Z-_,@;]");


        try
        {
            //Validation
            
            if (durationStr == "")
            {
                lblErrValidation.Text = "Duration is required!";
                quizTimeBox.Focus();
                return;
            }

            if (Convert.ToInt32(durationStr) <= 0)
            {
                lblErrValidation.Text = "Enter a value greater than 0!";
                quizTimeBox.Focus();
                return;
            }
            if (studentListBox.SelectedIndex == -1)
            {
                lblErrValidation.Text = "Select at least one student!";
                studentListBox.Focus();
                return;
            }


            String contributorID = Session["ContributorID"].ToString();
            ListItemCollection listBoxData = new ListItemCollection();
            listBoxData = studentListBox.Items;
            String sitem = "";
            foreach (ListItem item in studentListBox.Items)
                {
                    if (item.Selected)
                    {
                        studentList.Append(item.Value.ToString());
                        studentList.Append(",");
                    }
                }
            studentListAsString = studentList.ToString();
            studentListAsString = studentListAsString.Remove(studentListAsString.LastIndexOf(","), 1); //Remove the last comma  

            db = new OleDbConnection();
            db.ConnectionString = conOLDBStr;
            db.Open();

            // For CT_Quiz
            OleDbCommand cmdQuestions = db.CreateCommand();
            cmdQuestions.CommandText = "update ct_questions.CT_Quiz SET StudentsList=?, QuizTime=? WHERE id=?";
            cmdQuestions.Parameters.AddWithValue("@StudentsList", studentListAsString);
            cmdQuestions.Parameters.AddWithValue("@QuizTime", durationStr);
            cmdQuestions.Parameters.AddWithValue("@id", quizID.Value);
            
            cmdQuestions.ExecuteNonQuery();
            db.Close();

            StringBuilder sb = new StringBuilder();
            String message="Quiz Edited! It will now be available to the students you have assigned it to.";
            sb.Append("<script type='text/javascript'>");
            sb.Append("alert('" + message + "'); window.open('CTTeacherViewBuiltQuizzes.aspx','_self');");
            sb.Append("</script>");
            ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);

        }
        catch (System.Data.SqlClient.SqlException exception)
        {

            lblErr.Text = "Error occured! Please try again!";
            StringBuilder sb = new StringBuilder();
            String message="Quiz not updated. Please contact the administrator.";
            sb.Append("<script type='text/javascript'>");
            sb.Append("alert('" + message + "');");
            sb.Append("</script>");
            ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
        }
        catch (Exception exception)
        {

            lblErr.Text = "Error occured! Please try again!: " + exception;
            StringBuilder sb = new StringBuilder();
            String message="Quiz not updated. Please contact the administrator.";
            sb.Append("<script type='text/javascript'>");
            sb.Append("alert('" + message + "');");
            sb.Append("</script>");
            ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "ajax", sb.ToString(), false);
        }

    }
    protected void reloadSelectorStudents_Click(object sender, EventArgs e)
    {
        foreach (ListItem item in studentListBox.Items){
            item.Selected = false;                                       
        }
        ClientScript.RegisterStartupScript(this.GetType(), "hash", "location.hash = '#scrollPosStudents';", true);
    }

    protected void selectAllSelectorStudents_Click(object sender, EventArgs e)
    {
        foreach (ListItem item in studentListBox.Items){
            item.Selected = true;                                       
        }
        ClientScript.RegisterStartupScript(this.GetType(), "hash", "location.hash = '#scrollPosStudents';", true);
    }



   
    protected void goBack(object sender, EventArgs e)
    {
        Response.Redirect("CTTeacherLanding.aspx");
    }

    protected void logout(object sender, EventArgs e)
    {
            Session["ContributorID"] = null;
            Session["ContributorName"] = null;
            Session["ContributorWelcomeMsg"] = null;
            Session["Role"] = null;
            Session["questionID"] = null;
            Session["questionType"] = null;
            Session["UserID"] = null;
            Session["Name"] = null;
            Session["Type"] = null;
            Session["GradeLevel"] = null;
            Session["score"] = null;
            Session["studentID"] = null;
            Session["correctAnswerListAsString"] = null;
            Session["incorrectAnswerListAsString"] = null;
            Response.Redirect("Default.aspx");
    }

    protected void goToTakeQuiz(object sender, EventArgs e)
    {
        Response.Redirect("CTStudentQuiz.aspx");
    }

}