﻿<%@ Page Language="C#" MasterPageFile="MasterPage.master" AutoEventWireup="true" CodeFile="CTTeacherViewClassPerformance.aspx.cs" Inherits="CTTeacherViewClassPerformance" Title="Computational Thinking" %>

<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>
<%@ Register Assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI.DataVisualization.Charting" TagPrefix="asp" %>


<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">

    <!DOCTYPE html>

    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title></title>
        <style>
            td
            {
            
            padding:10px;
            height:5px;
            
            }
            th
            {
            
            padding:10px;
            height:5px;
            
            }
            .hiddencol
            {
                display: none;
            }
        </style>
    </head>
    <body>

        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

        <form id="form1">
            <div>
                <br />
                <!--Header block starts-->
                <div class="col-sm-3 headerName" id="welcomeBox" runat="server"></div>
                <div class="col-sm-6 textCenter">
                    <h2 class="marginTop6px ColorBlue">View Class Performance</h2>
                </div>
                <div class="col-sm-3">
                    <button class="btn btn-primary btn-sm floatRight" runat="server" onserverclick="logout">
                        <span class="glyphicon glyphicon-log-out"></span> Log out
                    </button>
                </div>
                <br />
                <div style="clear: both"></div>
                <hr />
                <!--Header block ends-->
                <p id="textualErrorBox" style="color: red" runat="server"></p>
                <button class="btn btn-warning btn-sm" runat="server" style="float:left" onserverclick="goBack">
                        <span class="glyphicon glyphicon glyphicon-chevron-left"></span> Back
                    </button>
                <br />  
                <div runat="server" id="containerClassPerformancePanel">
                    
                    <asp:Label ID="lblResult" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label>
                    <br />
                    <asp:Label ID="lblErr" runat="server" CssClass="text-danger" Font-Size="Small" Font-Bold="True"></asp:Label><br />
                    
                    <div style="text-align: center">

                            
                    </div>
                    <h3 class="ColorBlue">Class Performance</h3> <br>
                    Class Average:  <h4 class="ColorBlue"><asp:Label ID="avgClassScore" runat="server" Text=""></asp:Label> % </h4><br /><br />
                    <center>
                        <asp:SqlDataSource ID="SqlDataSource11" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" OldValuesParameterFormatString="original_{0}">
                        </asp:SqlDataSource>

                        <asp:GridView ID="GridView11" runat="server" DataKeyNames="ContributorName" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource11" ForeColor="#333333" GridLines="None" AllowPaging="True" Max-Height="235px" Width="100%">
                            <AlternatingRowStyle BackColor="White" />
                            <Columns>
                                <asp:TemplateField ShowHeader="False">
                                    <ItemTemplate>
                                        <asp:Button ID="viewStudentPerformance" runat="server" CausesValidation="false" OnCommand="studentName_SelectedIndexChanged"
                                            Text="View" CommandArgument='<%# Eval("ContributorID") %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="ContributorName" HeaderText="Student Name" SortExpression="ContributorName" />
                                <asp:BoundField DataField="GradeLevel" HeaderText="Grade Level" SortExpression="GradeLevel" />
                                <asp:BoundField DataField="AvgTestScore" HeaderText="Average Test Score (%)" SortExpression="AvgTestScore" />
                            </Columns>
                            <EditRowStyle BackColor="#2461BF" />
                            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
                            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                            <RowStyle BackColor="#EFF3FB" CssClass="hsty"/>
                            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                            <SortedAscendingCellStyle BackColor="#F5F7FB" />
                            <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                            <SortedDescendingCellStyle BackColor="#E9EBEF" />
                            <SortedDescendingHeaderStyle BackColor="#4870BE" />
                        </asp:GridView>
                    </center>
                    <div id="scrollPos"></div>
                    <br />
                    <br><br>
                    
                    <div runat="server" id="containerStudentPanel" Visible=False>
                            <div style="text-align: center">
        
                                    
                            </div>
                            <h3 class="ColorBlue"><asp:Label ID="selectedStudentNameHeading1" runat="server" Text=""></asp:Label>'s Score History</h3> <br>
                            <div style="text-align: center">
        
                                <asp:Chart ID="Chart1" runat="server" BackColor="#fafafa" Width="800px">
                                <Series>
                                    <asp:Series Name="Series1" ChartType="Line">
                                    </asp:Series>
                                </Series>
                                <ChartAreas>
                                    <asp:ChartArea Name="ChartArea1" BackColor="#fafafa">
                                    </asp:ChartArea>
                                </ChartAreas>  
                        
                                </asp:Chart>
                            </div>
        
                            <hr>
                            <h3 class="ColorBlue"><asp:Label ID="selectedStudentNameHeading2" runat="server" Text=""></asp:Label>'s Last Test</h3> <br>
                            <div style="text-align: center">
                            <b>Score: </b> <h2 class="ColorBlue"><asp:Label ID="lblScoreTest" runat="server" Font-Bold="True"></asp:Label> %</h2><br />
                                <asp:Panel runat="server" ID="correctConcepts" Visible=False>
                                    <h4 class="ColorBlue">The student correctly answered questions in the following Computation Thinking Concepts </h4>
                                    <br />
                                    <asp:Repeater ID="rptAccordianStrongConcepts" runat="server">
                                                                <ItemTemplate>
                                                                    <button type="button" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                                </ItemTemplate>
                                    </asp:Repeater>
                                </asp:Panel>
                                
                            <br><br>
                            <asp:Panel runat="server" ID="incorrectConcepts">
                                    <h4 class="ColorBlue">The student incorrectly answered questions in the following Computation Thinking Concepts </h4>
                                    <br />
                                    <asp:Repeater ID="rptAccordianWeakConcepts" runat="server">
                                                                        <ItemTemplate>
                                                                            <button type="button" style="background: maroon" class="btn btn-primary btn-sm noHover" style="padding: 6px; margin: 2px"><%# Eval("ConceptName") %></button>
                                                                        </ItemTemplate>
                                    </asp:Repeater>
                             </asp:Panel>
                            </div>
                            
                            <hr>
                            <br><br>
                            <h3 class="ColorBlue"><asp:Label ID="selectedStudentNameHeading3" runat="server" Text=""></asp:Label>'s Most Recent Test Scores</h3> <br>
                            <center>
                                <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:dev.techfitConnectionString1 %>" SelectCommand="SELECT * FROM ct_questions.[CT_Student_Test_History] ORDER BY TestDate DESC" OldValuesParameterFormatString="original_{0}">
                                </asp:SqlDataSource>
        
                                <asp:GridView ID="GridView1" runat="server" OnRowDataBound="GridView1_RowDataBound" DataKeyNames="StudentID" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource1" ForeColor="#333333" GridLines="None" AllowPaging="False" Max-Height="635px" Width="100%">
                                    <AlternatingRowStyle BackColor="White" />
                                    <Columns>
                                        <asp:BoundField DataField="QuizName" HeaderText="Test Name" SortExpression="QuizName"/>
                                        <asp:BoundField DataField="QuizID" HeaderText="Test ID" SortExpression="QuizID" ItemStyle-CssClass="hiddencol" HeaderStyle-CssClass="hiddencol" />
                                        <asp:BoundField DataField="TestDate" HeaderText="Test Date" SortExpression="TestDate" />
                                        <asp:BoundField DataField="TestScore" HeaderText="Test Score" SortExpression="TestScore" />
                                    </Columns>
                                    <EditRowStyle BackColor="#2461BF" />
                                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" CssClass ="gvhspadding" />
                                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                                    <RowStyle BackColor="#EFF3FB" CssClass="hsty"/>
                                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                                </asp:GridView>
                            </center>
                            <br><br><br><br><br><br>
                        </div>
                    <br><br><br><br><br><br>
                </div>
            </div>
        </form>
    </body>

    </html>
</asp:Content>
